
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test001"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number4 = defaultCategoryDataset0.getValue(0, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test002"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeRow((java.lang.Comparable)10L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test003"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    java.lang.Throwable throwable2 = null;
    // The following exception was thrown during execution in test generation
    try {
      unknownKeyException1.addSuppressed(throwable2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test004"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    org.jfree.data.general.DatasetChangeListener datasetChangeListener5 = null;
    defaultCategoryDataset2.addChangeListener(datasetChangeListener5);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.removeRow(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test005"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.removeRow((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test006"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeRow((java.lang.Comparable)1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test007"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    org.jfree.data.UnknownKeyException unknownKeyException3 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset4 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup5 = defaultCategoryDataset4.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent6 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException3, (org.jfree.data.general.Dataset)defaultCategoryDataset4);
    boolean b7 = defaultCategoryDataset0.equals((java.lang.Object)defaultCategoryDataset4);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable9 = defaultCategoryDataset4.getRowKey(100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test008"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number4 = defaultCategoryDataset0.getValue(1, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test009"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable6 = defaultCategoryDataset2.getRowKey(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test010"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    int i5 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)' ');
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.incrementValue(0.0d, (java.lang.Comparable)'a', (java.lang.Comparable)(short)10);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test011"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    java.lang.Comparable comparable5 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.setValue((java.lang.Number)100, comparable5, (java.lang.Comparable)1.0f);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test012"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    java.lang.Comparable comparable5 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.addValue(10.0d, comparable5, (java.lang.Comparable)(short)1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test013"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    defaultCategoryDataset0.addValue(100.0d, (java.lang.Comparable)false, (java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable9 = defaultCategoryDataset0.getRowKey(100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test014"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener2 = null;
    defaultCategoryDataset0.addChangeListener(datasetChangeListener2);
    java.lang.Comparable comparable4 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeValue(comparable4, (java.lang.Comparable)1.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test015"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    org.jfree.data.general.DatasetChangeListener datasetChangeListener5 = null;
    defaultCategoryDataset2.addChangeListener(datasetChangeListener5);
    java.lang.Comparable comparable9 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.setValue(100.0d, (java.lang.Comparable)(short)0, comparable9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test016"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeColumn((java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test017"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable5 = defaultCategoryDataset0.getColumnKey((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test018"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeRow(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test019"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    java.lang.Comparable comparable2 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeColumn(comparable2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test020"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    int i5 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)' ');
    org.jfree.data.general.DatasetChangeListener datasetChangeListener6 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener6);
    defaultCategoryDataset0.clear();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeColumn((java.lang.Comparable)(short)(-1));
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test021"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    org.jfree.data.UnknownKeyException unknownKeyException3 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset4 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup5 = defaultCategoryDataset4.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent6 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException3, (org.jfree.data.general.Dataset)defaultCategoryDataset4);
    boolean b7 = defaultCategoryDataset0.equals((java.lang.Object)defaultCategoryDataset4);
    int i8 = defaultCategoryDataset0.getRowCount();
    int i9 = defaultCategoryDataset0.getColumnCount();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable11 = defaultCategoryDataset0.getRowKey(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test022"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener2 = null;
    defaultCategoryDataset0.addChangeListener(datasetChangeListener2);
    org.jfree.data.general.DatasetGroup datasetGroup4 = defaultCategoryDataset0.getGroup();
    defaultCategoryDataset0.addValue((-1.0d), (java.lang.Comparable)(-1.0f), (java.lang.Comparable)0.0f);
    int i9 = defaultCategoryDataset0.getColumnCount();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeRow((java.lang.Comparable)(short)100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test023"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.removeValue(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test024"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    defaultCategoryDataset2.removeValue((java.lang.Comparable)1, (java.lang.Comparable)(byte)100);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.removeColumn((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test025"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener2 = null;
    defaultCategoryDataset0.addChangeListener(datasetChangeListener2);
    org.jfree.data.general.DatasetGroup datasetGroup4 = defaultCategoryDataset0.getGroup();
    java.util.EventListener eventListener5 = null;
    boolean b6 = defaultCategoryDataset0.hasListener(eventListener5);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable8 = defaultCategoryDataset0.getRowKey(100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test026"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.chart.util.SortOrder sortOrder1 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.sortByKeys(sortOrder1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test027"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    int i5 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)' ');
    org.jfree.data.general.DatasetChangeListener datasetChangeListener6 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener6);
    defaultCategoryDataset0.clear();
    int i9 = defaultCategoryDataset0.getRowCount();
    java.lang.Comparable comparable10 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeRow(comparable10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test028"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number8 = defaultKeyedValues2D1.getValue(10, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test029"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeColumn(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test030"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number6 = defaultKeyedValues0.getValue((java.lang.Comparable)(short)0);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test031"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener2 = null;
    defaultCategoryDataset0.addChangeListener(datasetChangeListener2);
    org.jfree.data.general.DatasetGroup datasetGroup4 = defaultCategoryDataset0.getGroup();
    java.util.EventListener eventListener5 = null;
    boolean b6 = defaultCategoryDataset0.hasListener(eventListener5);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number9 = defaultCategoryDataset0.getValue(10, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test032"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    org.jfree.data.general.DatasetChangeListener datasetChangeListener5 = null;
    defaultCategoryDataset2.addChangeListener(datasetChangeListener5);
    org.jfree.data.general.DatasetGroup datasetGroup7 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.setGroup(datasetGroup7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test033"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number5 = defaultCategoryDataset0.getValue(1, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test034"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    defaultKeyedValues2D1.clear();
    java.lang.Comparable comparable7 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number9 = defaultKeyedValues2D1.getValue(comparable7, (java.lang.Comparable)' ');
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test035"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.insertValue(10, (java.lang.Comparable)(-1.0d), (java.lang.Number)(byte)(-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test036"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    int i5 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)' ');
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeColumn(100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test037"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeColumn((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test038"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    defaultCategoryDataset0.addValue(100.0d, (java.lang.Comparable)false, (java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number10 = defaultCategoryDataset0.getValue(1, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test039"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    java.lang.Comparable comparable5 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.addValue(comparable5, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test040"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeRow(1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test041"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number2 = defaultKeyedValues0.getValue(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test042"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    defaultKeyedValues2D1.clear();
    boolean b8 = defaultKeyedValues2D1.equals((java.lang.Object)10.0f);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable10 = defaultKeyedValues2D1.getRowKey(100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test043"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number6 = defaultKeyedValues0.getValue(100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test044"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    defaultKeyedValues2D1.clear();
    int i7 = defaultKeyedValues2D1.getColumnCount();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeColumn((java.lang.Comparable)1L);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test045"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeRow((java.lang.Comparable)' ');
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test046"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    java.util.List list2 = defaultCategoryDataset0.getColumnKeys();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable4 = defaultCategoryDataset0.getRowKey(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list2);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test047"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(false);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.Comparable comparable4 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i5 = defaultKeyedValues2D1.getRowIndex(comparable4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test048"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    defaultCategoryDataset2.removeValue((java.lang.Comparable)1, (java.lang.Comparable)(byte)100);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.removeColumn((java.lang.Comparable)"hi!");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test049"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.removeValue((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test050"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    int i8 = defaultCategoryDataset2.getColumnCount();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.incrementValue(10.0d, (java.lang.Comparable)(short)1, (java.lang.Comparable)(byte)100);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test051"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    int i5 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)' ');
    org.jfree.data.general.DatasetChangeListener datasetChangeListener6 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener6);
    defaultCategoryDataset0.clear();
    int i9 = defaultCategoryDataset0.getRowCount();
    int i10 = defaultCategoryDataset0.getColumnCount();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable12 = defaultCategoryDataset0.getColumnKey(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test052"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener2 = null;
    defaultCategoryDataset0.addChangeListener(datasetChangeListener2);
    org.jfree.data.general.DatasetGroup datasetGroup4 = defaultCategoryDataset0.getGroup();
    java.util.EventListener eventListener5 = null;
    boolean b6 = defaultCategoryDataset0.hasListener(eventListener5);
    org.jfree.data.general.DatasetChangeListener datasetChangeListener7 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener7);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeColumn((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test053"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)1.0d, (java.lang.Comparable)0.0d, (java.lang.Comparable)1);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeColumn((java.lang.Comparable)'4');
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test054"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeRow(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test055"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)(short)(-1), (java.lang.Comparable)(short)10, (java.lang.Comparable)(-1.0d));
    java.lang.Comparable comparable10 = defaultKeyedValues2D1.getColumnKey(0);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number13 = defaultKeyedValues2D1.getValue(100, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable10 + "' != '" + (-1.0d)+ "'", comparable10.equals((-1.0d)));

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test056"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset1 = new org.jfree.data.category.DefaultCategoryDataset();
    int i2 = defaultCategoryDataset1.getRowCount();
    org.jfree.data.UnknownKeyException unknownKeyException4 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset5 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup6 = defaultCategoryDataset5.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent7 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException4, (org.jfree.data.general.Dataset)defaultCategoryDataset5);
    boolean b8 = defaultCategoryDataset1.equals((java.lang.Object)defaultCategoryDataset5);
    int i9 = defaultCategoryDataset1.getRowCount();
    defaultCategoryDataset1.removeValue((java.lang.Comparable)(byte)100, (java.lang.Comparable)(-1.0d));
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent13 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)1.0d, (org.jfree.data.general.Dataset)defaultCategoryDataset1);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable15 = defaultCategoryDataset1.getRowKey(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test057"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    int i5 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)' ');
    org.jfree.data.general.DatasetChangeListener datasetChangeListener6 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener6);
    defaultCategoryDataset0.clear();
    int i9 = defaultCategoryDataset0.getRowCount();
    int i10 = defaultCategoryDataset0.getColumnCount();
    java.util.EventListener eventListener11 = null;
    boolean b12 = defaultCategoryDataset0.hasListener(eventListener11);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeColumn(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test058"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    defaultKeyedValues2D1.clear();
    int i7 = defaultKeyedValues2D1.getColumnCount();
    java.lang.Number number8 = null;
    java.lang.Comparable comparable10 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.addValue(number8, (java.lang.Comparable)100.0f, comparable10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test059"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)1.0d, (java.lang.Comparable)0.0d, (java.lang.Comparable)1);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number11 = defaultKeyedValues2D1.getValue(0, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test060"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number3 = defaultCategoryDataset0.getValue((java.lang.Comparable)(-1), (java.lang.Comparable)(-1.0f));
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test061"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number7 = defaultCategoryDataset2.getValue(1, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test062"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    defaultKeyedValues0.clear();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.removeValue(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test063"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    org.jfree.data.UnknownKeyException unknownKeyException3 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset4 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup5 = defaultCategoryDataset4.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent6 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException3, (org.jfree.data.general.Dataset)defaultCategoryDataset4);
    boolean b7 = defaultCategoryDataset0.equals((java.lang.Object)defaultCategoryDataset4);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeColumn((java.lang.Comparable)10.0f);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test064"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    org.jfree.data.UnknownKeyException unknownKeyException3 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset4 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup5 = defaultCategoryDataset4.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent6 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException3, (org.jfree.data.general.Dataset)defaultCategoryDataset4);
    boolean b7 = defaultCategoryDataset0.equals((java.lang.Object)defaultCategoryDataset4);
    int i8 = defaultCategoryDataset0.getRowCount();
    int i9 = defaultCategoryDataset0.getColumnCount();
    java.lang.Comparable comparable10 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeRow(comparable10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test065"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable3 = defaultCategoryDataset0.getColumnKey(100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test066"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    java.util.List list4 = defaultCategoryDataset0.getRowKeys();
    java.lang.Comparable comparable7 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.setValue(10.0d, (java.lang.Comparable)(short)0, comparable7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test067"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    defaultKeyedValues0.clear();
    org.jfree.chart.util.SortOrder sortOrder6 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.sortByKeys(sortOrder6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test068"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    org.jfree.data.UnknownKeyException unknownKeyException3 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset4 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup5 = defaultCategoryDataset4.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent6 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException3, (org.jfree.data.general.Dataset)defaultCategoryDataset4);
    boolean b7 = defaultCategoryDataset0.equals((java.lang.Object)defaultCategoryDataset4);
    int i8 = defaultCategoryDataset4.getColumnCount();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset4.removeRow((java.lang.Comparable)0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test069"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    defaultKeyedValues0.setValue((java.lang.Comparable)10, (java.lang.Number)(short)100);
    defaultKeyedValues0.setValue((java.lang.Comparable)(-1.0d), (java.lang.Number)10.0d);
    java.lang.Comparable comparable11 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.removeValue(comparable11);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test070"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    int i6 = defaultKeyedValues2D1.getRowIndex((java.lang.Comparable)0.0d);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeRow(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test071"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    defaultCategoryDataset2.removeValue((java.lang.Comparable)1, (java.lang.Comparable)(byte)100);
    java.lang.Object obj11 = defaultCategoryDataset2.clone();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.removeColumn((java.lang.Comparable)0.0d);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test072"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(false);
    defaultKeyedValues2D1.setValue((java.lang.Number)100, (java.lang.Comparable)0L, (java.lang.Comparable)10);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number8 = defaultKeyedValues2D1.getValue(100, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test073"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    defaultKeyedValues2D1.clear();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number8 = defaultKeyedValues2D1.getValue(0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test074"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    org.jfree.data.UnknownKeyException unknownKeyException3 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset4 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup5 = defaultCategoryDataset4.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent6 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException3, (org.jfree.data.general.Dataset)defaultCategoryDataset4);
    boolean b7 = defaultCategoryDataset0.equals((java.lang.Object)defaultCategoryDataset4);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset4.incrementValue(1.0d, (java.lang.Comparable)(short)(-1), (java.lang.Comparable)(byte)0);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test075"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(false);
    defaultKeyedValues2D1.setValue((java.lang.Number)100, (java.lang.Comparable)0L, (java.lang.Comparable)10);
    java.lang.Comparable comparable7 = defaultKeyedValues2D1.getRowKey(0);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable9 = defaultKeyedValues2D1.getColumnKey(1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable7 + "' != '" + 0L+ "'", comparable7.equals(0L));

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test076"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)1.0d, (java.lang.Comparable)0.0d, (java.lang.Comparable)1);
    // The following exception was thrown during execution in test generation
    try {
      int i10 = defaultKeyedValues2D1.getRowIndex((java.lang.Comparable)0.0f);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test077"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    defaultKeyedValues2D1.clear();
    boolean b8 = defaultKeyedValues2D1.equals((java.lang.Object)10.0f);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeRow((java.lang.Comparable)1L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test078"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.addValue((java.lang.Comparable)100.0f, (java.lang.Number)100.0d);
    java.lang.Object obj4 = defaultKeyedValues0.clone();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.insertValue(100, (java.lang.Comparable)(byte)100, (java.lang.Number)(short)(-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj4);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test079"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    defaultKeyedValues0.clear();
    defaultKeyedValues0.addValue((java.lang.Comparable)10.0f, 0.0d);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number10 = defaultKeyedValues0.getValue((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test080"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    int i4 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)10);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable6 = defaultCategoryDataset0.getColumnKey(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test081"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)1.0d, (java.lang.Comparable)0.0d, (java.lang.Comparable)1);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeColumn(1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test082"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    defaultCategoryDataset2.removeValue((java.lang.Comparable)1, (java.lang.Comparable)(byte)100);
    java.lang.Object obj11 = defaultCategoryDataset2.clone();
    defaultCategoryDataset2.addValue((java.lang.Number)(short)100, (java.lang.Comparable)'a', (java.lang.Comparable)"");
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number18 = defaultCategoryDataset2.getValue(1, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test083"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    defaultKeyedValues0.clear();
    defaultKeyedValues0.addValue((java.lang.Comparable)10.0f, 0.0d);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable10 = defaultKeyedValues0.getKey(1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test084"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)0.0f, (java.lang.Number)(-1L));
    defaultKeyedValues0.addValue((java.lang.Comparable)(short)1, (-1.0d));
    java.lang.Comparable comparable8 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.insertValue((-1), comparable8, (java.lang.Number)0.0f);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test085"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    int i5 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)' ');
    org.jfree.data.general.DatasetChangeListener datasetChangeListener6 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener6);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number10 = defaultCategoryDataset0.getValue((java.lang.Comparable)1.0f, (java.lang.Comparable)100.0f);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test086"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    java.util.List list6 = defaultKeyedValues2D1.getRowKeys();
    java.util.List list7 = defaultKeyedValues2D1.getRowKeys();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number10 = defaultKeyedValues2D1.getValue(10, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list7);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test087"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    org.jfree.data.UnknownKeyException unknownKeyException3 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset4 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup5 = defaultCategoryDataset4.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent6 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException3, (org.jfree.data.general.Dataset)defaultCategoryDataset4);
    boolean b7 = defaultCategoryDataset0.equals((java.lang.Object)defaultCategoryDataset4);
    int i8 = defaultCategoryDataset0.getRowCount();
    int i9 = defaultCategoryDataset0.getColumnCount();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeColumn(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test088"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(false);
    defaultKeyedValues2D1.setValue((java.lang.Number)100, (java.lang.Comparable)0L, (java.lang.Comparable)10);
    java.lang.Comparable comparable7 = defaultKeyedValues2D1.getRowKey(0);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeColumn((java.lang.Comparable)1.0f);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable7 + "' != '" + 0L+ "'", comparable7.equals(0L));

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test089"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)(short)(-1), (java.lang.Comparable)(short)10, (java.lang.Comparable)(-1.0d));
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeRow((java.lang.Comparable)100.0f);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test090"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    defaultKeyedValues2D1.clear();
    int i8 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)false);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable10 = defaultKeyedValues2D1.getColumnKey(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test091"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(false);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeColumn(2);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test092"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    int i1 = defaultKeyedValues0.getItemCount();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable3 = defaultKeyedValues0.getKey(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test093"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    java.util.List list2 = defaultCategoryDataset0.getColumnKeys();
    defaultCategoryDataset0.removeValue((java.lang.Comparable)10.0d, (java.lang.Comparable)(byte)(-1));
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number8 = defaultCategoryDataset0.getValue(2, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list2);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test094"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    defaultCategoryDataset2.removeValue((java.lang.Comparable)1, (java.lang.Comparable)(byte)100);
    java.lang.Object obj11 = defaultCategoryDataset2.clone();
    defaultCategoryDataset2.addValue((java.lang.Number)(short)100, (java.lang.Comparable)'a', (java.lang.Comparable)"");
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.removeRow((java.lang.Comparable)100.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test095"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    defaultCategoryDataset0.clear();
    java.util.EventListener eventListener2 = null;
    boolean b3 = defaultCategoryDataset0.hasListener(eventListener2);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number6 = defaultCategoryDataset0.getValue((java.lang.Comparable)1.0d, (java.lang.Comparable)(short)100);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test096"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    defaultCategoryDataset2.removeValue((java.lang.Comparable)1, (java.lang.Comparable)(byte)100);
    java.lang.Object obj11 = defaultCategoryDataset2.clone();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number14 = defaultCategoryDataset2.getValue(2, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test097"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number4 = defaultKeyedValues2D1.getValue(1, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test098"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)100, 10.0d);
    java.util.List list8 = defaultKeyedValues0.getKeys();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.removeValue((java.lang.Comparable)'a');
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list8);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test099"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    java.lang.Throwable throwable5 = null;
    // The following exception was thrown during execution in test generation
    try {
      unknownKeyException1.addSuppressed(throwable5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test100"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.addValue((java.lang.Comparable)100.0f, (java.lang.Number)100.0d);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable5 = defaultKeyedValues0.getKey(1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test101"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D0 = new org.jfree.data.DefaultKeyedValues2D();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D0.removeRow((java.lang.Comparable)(-1.0f));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test102"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    defaultKeyedValues2D1.clear();
    int i8 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)false);
    defaultKeyedValues2D1.clear();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable11 = defaultKeyedValues2D1.getRowKey(100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test103"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)0.0f, (java.lang.Number)(-1L));
    defaultKeyedValues0.setValue((java.lang.Comparable)(byte)1, 0.0d);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.insertValue((-1), (java.lang.Comparable)'#', (java.lang.Number)100L);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test104"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    int i6 = defaultKeyedValues2D1.getRowIndex((java.lang.Comparable)0.0d);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeRow(2);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test105"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    int i6 = defaultKeyedValues0.getIndex((java.lang.Comparable)10);
    int i7 = defaultKeyedValues0.getItemCount();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.removeValue((java.lang.Comparable)1.0f);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test106"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    defaultKeyedValues2D1.clear();
    java.lang.Comparable comparable7 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i8 = defaultKeyedValues2D1.getColumnIndex(comparable7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test107"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)'4', (java.lang.Comparable)1.0f);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable6 = defaultKeyedValues2D1.getRowKey(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test108"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    int i4 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)10);
    defaultCategoryDataset0.removeValue((java.lang.Comparable)1.0f, (java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable9 = defaultCategoryDataset0.getRowKey(1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test109"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.removeColumn((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test110"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 0.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)10, (java.lang.Number)100);
    int i7 = defaultKeyedValues0.getItemCount();
    org.jfree.data.general.DatasetGroup datasetGroup8 = new org.jfree.data.general.DatasetGroup();
    java.lang.Object obj9 = datasetGroup8.clone();
    boolean b10 = defaultKeyedValues0.equals(obj9);
    org.jfree.chart.util.SortOrder sortOrder11 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.sortByValues(sortOrder11);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test111"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    int i4 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)10);
    java.lang.Comparable comparable7 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.setValue(1.0d, (java.lang.Comparable)'#', comparable7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test112"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    defaultKeyedValues0.clear();
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset6 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup7 = defaultCategoryDataset6.getGroup();
    java.lang.String str8 = datasetGroup7.getID();
    boolean b9 = defaultKeyedValues0.equals((java.lang.Object)datasetGroup7);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.removeValue((java.lang.Comparable)1L);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "NOID"+ "'", str8.equals("NOID"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test113"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    defaultKeyedValues2D1.clear();
    int i8 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)false);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable10 = defaultKeyedValues2D1.getRowKey(1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test114"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    org.jfree.data.UnknownKeyException unknownKeyException3 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset4 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup5 = defaultCategoryDataset4.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent6 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException3, (org.jfree.data.general.Dataset)defaultCategoryDataset4);
    boolean b7 = defaultCategoryDataset0.equals((java.lang.Object)defaultCategoryDataset4);
    int i8 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.removeValue((java.lang.Comparable)(byte)100, (java.lang.Comparable)(-1.0d));
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.incrementValue((-1.0d), (java.lang.Comparable)(-1L), (java.lang.Comparable)(short)100);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test115"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener2 = null;
    defaultCategoryDataset0.addChangeListener(datasetChangeListener2);
    org.jfree.data.general.DatasetGroup datasetGroup4 = defaultCategoryDataset0.getGroup();
    java.util.EventListener eventListener5 = null;
    boolean b6 = defaultCategoryDataset0.hasListener(eventListener5);
    java.util.List list7 = defaultCategoryDataset0.getRowKeys();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number10 = defaultCategoryDataset0.getValue((java.lang.Comparable)(-1.0d), (java.lang.Comparable)1L);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list7);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test116"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number4 = defaultCategoryDataset0.getValue((java.lang.Comparable)(-1.0d), (java.lang.Comparable)(-1.0f));
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test117"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    org.jfree.chart.util.SortOrder sortOrder5 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.sortByValues(sortOrder5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test118"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    java.util.List list2 = defaultCategoryDataset0.getColumnKeys();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number5 = defaultCategoryDataset0.getValue((java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]", (java.lang.Comparable)(byte)1);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list2);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test119"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    java.lang.Comparable comparable1 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i2 = defaultCategoryDataset0.getRowIndex(comparable1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test120"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable5 = defaultKeyedValues2D1.getColumnKey(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test121"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    org.jfree.data.UnknownKeyException unknownKeyException3 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset4 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup5 = defaultCategoryDataset4.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent6 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException3, (org.jfree.data.general.Dataset)defaultCategoryDataset4);
    boolean b7 = defaultCategoryDataset0.equals((java.lang.Object)defaultCategoryDataset4);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeColumn(2);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test122"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(false);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    int i5 = defaultKeyedValues2D1.getRowIndex((java.lang.Comparable)"NOID");
    java.util.List list6 = defaultKeyedValues2D1.getRowKeys();
    java.lang.Comparable comparable8 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.setValue((java.lang.Number)10, comparable8, (java.lang.Comparable)10.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list6);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test123"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    org.jfree.data.UnknownKeyException unknownKeyException3 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset4 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup5 = defaultCategoryDataset4.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent6 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException3, (org.jfree.data.general.Dataset)defaultCategoryDataset4);
    boolean b7 = defaultCategoryDataset0.equals((java.lang.Object)defaultCategoryDataset4);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset4.removeColumn((java.lang.Comparable)10);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test124"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)0.0f, (java.lang.Number)(-1L));
    defaultKeyedValues0.clear();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number6 = defaultKeyedValues0.getValue(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test125"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.addValue((java.lang.Comparable)100.0f, (java.lang.Number)100.0d);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.removeValue((java.lang.Comparable)1.0d);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test126"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    defaultCategoryDataset0.addValue(100.0d, (java.lang.Comparable)false, (java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.util.List list8 = defaultCategoryDataset0.getRowKeys();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeRow((java.lang.Comparable)(byte)0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list8);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test127"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number8 = defaultKeyedValues2D1.getValue(0, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test128"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener2 = null;
    defaultCategoryDataset0.addChangeListener(datasetChangeListener2);
    org.jfree.data.general.DatasetGroup datasetGroup4 = defaultCategoryDataset0.getGroup();
    java.util.EventListener eventListener5 = null;
    boolean b6 = defaultCategoryDataset0.hasListener(eventListener5);
    java.util.List list7 = defaultCategoryDataset0.getRowKeys();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.incrementValue(1.0d, (java.lang.Comparable)1.0d, (java.lang.Comparable)1.0f);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list7);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test129"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    defaultCategoryDataset2.removeValue((java.lang.Comparable)1, (java.lang.Comparable)(byte)100);
    java.util.List list11 = defaultCategoryDataset2.getRowKeys();
    int i13 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)100.0d);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number16 = defaultCategoryDataset2.getValue(0, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test130"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    defaultCategoryDataset0.addValue(100.0d, (java.lang.Comparable)false, (java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.Comparable comparable9 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.addValue((java.lang.Number)(byte)10, comparable9, (java.lang.Comparable)100.0f);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test131"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener2 = null;
    defaultCategoryDataset0.addChangeListener(datasetChangeListener2);
    org.jfree.data.general.DatasetGroup datasetGroup4 = defaultCategoryDataset0.getGroup();
    java.util.EventListener eventListener5 = null;
    boolean b6 = defaultCategoryDataset0.hasListener(eventListener5);
    org.jfree.data.general.DatasetChangeListener datasetChangeListener7 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener7);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.incrementValue(100.0d, (java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=1.0]", (java.lang.Comparable)(short)0);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test132"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable7 = defaultKeyedValues2D1.getColumnKey(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test133"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    defaultCategoryDataset0.addValue(100.0d, (java.lang.Comparable)false, (java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.util.List list8 = defaultCategoryDataset0.getRowKeys();
    java.lang.Comparable comparable11 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.incrementValue(100.0d, (java.lang.Comparable)(short)10, comparable11);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list8);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test134"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 0.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)10, (java.lang.Number)100);
    defaultKeyedValues0.addValue((java.lang.Comparable)"", (java.lang.Number)10);
    defaultKeyedValues0.insertValue(2, (java.lang.Comparable)(short)0, (java.lang.Number)(short)(-1));
    java.lang.Comparable comparable14 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i15 = defaultKeyedValues0.getIndex(comparable14);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test135"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    java.lang.String str5 = datasetChangeEvent4.toString();
    org.jfree.data.general.Dataset dataset6 = datasetChangeEvent4.getDataset();
    java.lang.String str7 = datasetChangeEvent4.toString();
    java.lang.String str8 = datasetChangeEvent4.toString();
    org.jfree.data.general.Dataset dataset9 = datasetChangeEvent4.getDataset();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str5.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dataset6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str7.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str8.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(dataset9);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test136"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    defaultCategoryDataset0.addValue(100.0d, (java.lang.Comparable)false, (java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    int i8 = defaultCategoryDataset0.getColumnCount();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number11 = defaultCategoryDataset0.getValue((java.lang.Comparable)10L, (java.lang.Comparable)(short)(-1));
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test137"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    defaultCategoryDataset2.removeValue((java.lang.Comparable)1, (java.lang.Comparable)(byte)100);
    java.lang.Object obj11 = defaultCategoryDataset2.clone();
    defaultCategoryDataset2.addValue((java.lang.Number)(short)100, (java.lang.Comparable)'a', (java.lang.Comparable)"");
    int i16 = defaultCategoryDataset2.getRowCount();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number19 = defaultCategoryDataset2.getValue(0, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test138"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    int i4 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)10);
    defaultCategoryDataset0.removeValue((java.lang.Comparable)1.0f, (java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeRow(1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test139"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeColumn(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test140"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 0.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)10, (java.lang.Number)100);
    defaultKeyedValues0.addValue((java.lang.Comparable)"", (java.lang.Number)10);
    defaultKeyedValues0.addValue((java.lang.Comparable)(short)(-1), (java.lang.Number)100L);
    defaultKeyedValues0.setValue((java.lang.Comparable)0.0f, 1.0d);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number17 = defaultKeyedValues0.getValue((java.lang.Comparable)1L);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test141"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    defaultKeyedValues2D1.clear();
    int i7 = defaultKeyedValues2D1.getColumnCount();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number10 = defaultKeyedValues2D1.getValue((java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]", (java.lang.Comparable)(-1.0d));
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test142"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    defaultKeyedValues0.clear();
    java.util.List list6 = defaultKeyedValues0.getKeys();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable8 = defaultKeyedValues0.getKey(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list6);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test143"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)(short)(-1), (java.lang.Comparable)(short)10, (java.lang.Comparable)(-1.0d));
    java.lang.Object obj9 = defaultKeyedValues2D1.clone();
    java.lang.Object obj10 = defaultKeyedValues2D1.clone();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable12 = defaultKeyedValues2D1.getColumnKey(100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj10);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test144"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)1.0d, (java.lang.Comparable)0.0d, (java.lang.Comparable)1);
    java.lang.Object obj9 = defaultKeyedValues2D1.clone();
    int i11 = defaultKeyedValues2D1.getRowIndex((java.lang.Comparable)(-1.0d));
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number14 = defaultKeyedValues2D1.getValue(100, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-1));

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test145"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)1.0d, (java.lang.Comparable)0.0d, (java.lang.Comparable)1);
    java.lang.Object obj9 = defaultKeyedValues2D1.clone();
    defaultKeyedValues2D1.clear();
    java.lang.Comparable comparable11 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i12 = defaultKeyedValues2D1.getColumnIndex(comparable11);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test146"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    int i6 = defaultKeyedValues0.getIndex((java.lang.Comparable)10);
    int i7 = defaultKeyedValues0.getItemCount();
    int i9 = defaultKeyedValues0.getIndex((java.lang.Comparable)100);
    org.jfree.chart.util.SortOrder sortOrder10 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.sortByKeys(sortOrder10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test147"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    defaultKeyedValues0.clear();
    defaultKeyedValues0.addValue((java.lang.Comparable)10.0f, 0.0d);
    org.jfree.chart.util.SortOrder sortOrder9 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.sortByValues(sortOrder9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test148"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    defaultCategoryDataset2.removeValue((java.lang.Comparable)1, (java.lang.Comparable)(byte)100);
    java.lang.Object obj11 = defaultCategoryDataset2.clone();
    defaultCategoryDataset2.addValue((java.lang.Number)(short)100, (java.lang.Comparable)'a', (java.lang.Comparable)"");
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number18 = defaultCategoryDataset2.getValue(0, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test149"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)(short)(-1), (java.lang.Comparable)(short)10, (java.lang.Comparable)(-1.0d));
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeRow((java.lang.Comparable)100);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test150"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)(short)(-1), (java.lang.Comparable)(short)10, (java.lang.Comparable)(-1.0d));
    java.lang.Object obj9 = defaultKeyedValues2D1.clone();
    java.lang.Object obj10 = defaultKeyedValues2D1.clone();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeColumn(2);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj10);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test151"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)0.0f, (java.lang.Number)(-1L));
    defaultKeyedValues0.addValue((java.lang.Comparable)(short)1, (-1.0d));
    java.util.List list7 = defaultKeyedValues0.getKeys();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable9 = defaultKeyedValues0.getKey(3);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list7);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test152"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    defaultKeyedValues2D1.clear();
    int i7 = defaultKeyedValues2D1.getColumnCount();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeColumn((java.lang.Comparable)"");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test153"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(false);
    defaultKeyedValues2D1.setValue((java.lang.Number)100, (java.lang.Comparable)0L, (java.lang.Comparable)10);
    java.lang.Comparable comparable7 = defaultKeyedValues2D1.getRowKey(0);
    int i9 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)true);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeColumn((java.lang.Comparable)10L);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable7 + "' != '" + 0L+ "'", comparable7.equals(0L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test154"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D0 = new org.jfree.data.DefaultKeyedValues2D();
    defaultKeyedValues2D0.clear();
    int i3 = defaultKeyedValues2D0.getRowIndex((java.lang.Comparable)100L);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable5 = defaultKeyedValues2D0.getColumnKey((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test155"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)(short)0);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeColumn((java.lang.Comparable)'4');
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test156"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    java.util.List list6 = defaultKeyedValues2D1.getRowKeys();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable8 = defaultKeyedValues2D1.getColumnKey(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list6);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test157"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)0.0f, (java.lang.Number)(-1L));
    defaultKeyedValues0.addValue((java.lang.Comparable)(short)1, (-1.0d));
    java.util.List list7 = defaultKeyedValues0.getKeys();
    defaultKeyedValues0.setValue((java.lang.Comparable)(byte)0, 100.0d);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.removeValue(100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list7);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test158"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    defaultKeyedValues0.setValue((java.lang.Comparable)10, (java.lang.Number)(short)100);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.insertValue((-1), (java.lang.Comparable)1.0f, (java.lang.Number)1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test159"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    java.lang.String str2 = datasetGroup1.getID();
    java.lang.String str3 = datasetGroup1.getID();
    org.jfree.data.DefaultKeyedValues defaultKeyedValues4 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues4.addValue((java.lang.Comparable)100.0f, (java.lang.Number)100.0d);
    java.lang.Object obj8 = defaultKeyedValues4.clone();
    boolean b9 = datasetGroup1.equals((java.lang.Object)defaultKeyedValues4);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues4.removeValue((java.lang.Comparable)(byte)1);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "NOID"+ "'", str2.equals("NOID"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "NOID"+ "'", str3.equals("NOID"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test160"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    defaultKeyedValues2D1.clear();
    int i7 = defaultKeyedValues2D1.getColumnCount();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeRow((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test161"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.addValue((java.lang.Comparable)100.0f, (java.lang.Number)100.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)1, (java.lang.Number)(byte)100);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable8 = defaultKeyedValues0.getKey(3);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test162"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    int i4 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)10);
    java.util.List list5 = defaultCategoryDataset0.getRowKeys();
    defaultCategoryDataset0.validateObject();
    java.lang.Comparable comparable8 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.addValue((java.lang.Number)(-1), comparable8, (java.lang.Comparable)' ');
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list5);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test163"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    defaultKeyedValues2D1.clear();
    int i7 = defaultKeyedValues2D1.getColumnCount();
    java.lang.Comparable comparable8 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeColumn(comparable8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test164"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 0.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)10, (java.lang.Number)100);
    int i7 = defaultKeyedValues0.getItemCount();
    defaultKeyedValues0.clear();
    org.jfree.chart.util.SortOrder sortOrder9 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.sortByValues(sortOrder9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 2);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test165"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.removeColumn(100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test166"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeColumn(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test167"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    defaultKeyedValues2D1.clear();
    boolean b8 = defaultKeyedValues2D1.equals((java.lang.Object)10.0f);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable10 = defaultKeyedValues2D1.getRowKey((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test168"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    defaultKeyedValues0.setValue((java.lang.Comparable)10, (java.lang.Number)(short)100);
    org.jfree.chart.util.SortOrder sortOrder8 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.sortByValues(sortOrder8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test169"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    int i5 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)' ');
    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D7 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D7.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj11 = defaultKeyedValues2D7.clone();
    defaultKeyedValues2D7.clear();
    boolean b13 = defaultCategoryDataset0.equals((java.lang.Object)defaultKeyedValues2D7);
    java.lang.Comparable comparable14 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeColumn(comparable14);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test170"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    int i5 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)' ');
    org.jfree.data.general.DatasetChangeListener datasetChangeListener6 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener6);
    defaultCategoryDataset0.clear();
    java.lang.Comparable comparable10 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeValue((java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=1.0]", comparable10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test171"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    org.jfree.data.DefaultKeyedValues defaultKeyedValues4 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup6 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str7 = datasetGroup6.getID();
    boolean b8 = defaultKeyedValues4.equals((java.lang.Object)str7);
    defaultKeyedValues4.setValue((java.lang.Comparable)10, (java.lang.Number)(short)100);
    defaultKeyedValues4.setValue((java.lang.Comparable)(-1.0d), (java.lang.Number)10.0d);
    java.util.List list15 = defaultKeyedValues4.getKeys();
    boolean b16 = defaultKeyedValues2D1.equals((java.lang.Object)defaultKeyedValues4);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeRow(100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str7.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test172"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 0.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)10, (java.lang.Number)100);
    defaultKeyedValues0.addValue((java.lang.Comparable)"", (java.lang.Number)10);
    defaultKeyedValues0.addValue((java.lang.Comparable)"NOID", 0.0d);
    java.lang.Comparable comparable13 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.setValue(comparable13, 10.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test173"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    int i4 = defaultCategoryDataset0.getColumnIndex((java.lang.Comparable)(short)1);
    int i6 = defaultCategoryDataset0.getColumnIndex((java.lang.Comparable)(short)100);
    defaultCategoryDataset0.validateObject();
    int i9 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=1.0]");
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeRow(100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test174"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("");
    java.lang.Throwable[] throwable_array2 = unknownKeyException1.getSuppressed();
    org.jfree.data.UnknownKeyException unknownKeyException4 = new org.jfree.data.UnknownKeyException("hi!");
    unknownKeyException1.addSuppressed((java.lang.Throwable)unknownKeyException4);
    java.lang.Throwable[] throwable_array6 = unknownKeyException4.getSuppressed();
    org.jfree.data.UnknownKeyException unknownKeyException8 = new org.jfree.data.UnknownKeyException("");
    java.lang.Throwable[] throwable_array9 = unknownKeyException8.getSuppressed();
    org.jfree.data.UnknownKeyException unknownKeyException11 = new org.jfree.data.UnknownKeyException("hi!");
    unknownKeyException8.addSuppressed((java.lang.Throwable)unknownKeyException11);
    java.lang.Throwable[] throwable_array13 = unknownKeyException11.getSuppressed();
    unknownKeyException4.addSuppressed((java.lang.Throwable)unknownKeyException11);
    java.lang.String str15 = unknownKeyException11.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.jfree.data.UnknownKeyException: hi!"+ "'", str15.equals("org.jfree.data.UnknownKeyException: hi!"));

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test175"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 0.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)10, (java.lang.Number)100);
    defaultKeyedValues0.addValue((java.lang.Comparable)"", (java.lang.Number)10);
    defaultKeyedValues0.addValue((java.lang.Comparable)(short)(-1), (java.lang.Number)100L);
    defaultKeyedValues0.setValue((java.lang.Comparable)0.0f, 1.0d);
    org.jfree.chart.util.SortOrder sortOrder16 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.sortByKeys(sortOrder16);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test176"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    org.jfree.data.UnknownKeyException unknownKeyException3 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset4 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup5 = defaultCategoryDataset4.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent6 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException3, (org.jfree.data.general.Dataset)defaultCategoryDataset4);
    boolean b7 = defaultCategoryDataset0.equals((java.lang.Object)defaultCategoryDataset4);
    java.util.List list8 = defaultCategoryDataset0.getColumnKeys();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeRow((java.lang.Comparable)10L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list8);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test177"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.insertValue(100, (java.lang.Comparable)0L, (java.lang.Number)100L);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test178"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    defaultKeyedValues2D1.clear();
    int i8 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)false);
    defaultKeyedValues2D1.clear();
    int i11 = defaultKeyedValues2D1.getRowIndex((java.lang.Comparable)(byte)10);
    defaultKeyedValues2D1.clear();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeRow((java.lang.Comparable)3);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-1));

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test179"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    int i6 = defaultKeyedValues0.getIndex((java.lang.Comparable)10);
    int i7 = defaultKeyedValues0.getItemCount();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 1.0d);
    java.lang.Comparable comparable11 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number12 = defaultKeyedValues0.getValue(comparable11);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test180"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    defaultKeyedValues2D1.setValue((java.lang.Number)(-1), (java.lang.Comparable)10, (java.lang.Comparable)10.0d);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeRow((java.lang.Comparable)10.0f);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test181"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 0.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)10, (java.lang.Number)100);
    java.util.List list7 = defaultKeyedValues0.getKeys();
    java.lang.Object obj8 = defaultKeyedValues0.clone();
    org.jfree.chart.util.SortOrder sortOrder9 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.sortByKeys(sortOrder9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj8);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test182"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    int i6 = defaultKeyedValues0.getIndex((java.lang.Comparable)10);
    defaultKeyedValues0.setValue((java.lang.Comparable)1, (java.lang.Number)1L);
    org.jfree.chart.util.SortOrder sortOrder10 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.sortByKeys(sortOrder10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test183"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    int i5 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)' ');
    org.jfree.data.general.DatasetChangeListener datasetChangeListener6 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener6);
    defaultCategoryDataset0.clear();
    int i9 = defaultCategoryDataset0.getRowCount();
    int i10 = defaultCategoryDataset0.getRowCount();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable12 = defaultCategoryDataset0.getColumnKey(2);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test184"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    defaultKeyedValues2D1.clear();
    int i7 = defaultKeyedValues2D1.getColumnCount();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeRow(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test185"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)1.0d, (java.lang.Comparable)0.0d, (java.lang.Comparable)1);
    java.lang.Object obj9 = defaultKeyedValues2D1.clone();
    defaultKeyedValues2D1.clear();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number13 = defaultKeyedValues2D1.getValue((java.lang.Comparable)"org.jfree.data.UnknownKeyException: org.jfree.data.UnknownKeyException: ", (java.lang.Comparable)(short)1);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test186"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D0 = new org.jfree.data.DefaultKeyedValues2D();
    defaultKeyedValues2D0.clear();
    java.lang.Number number2 = null;
    defaultKeyedValues2D0.setValue(number2, (java.lang.Comparable)"org.jfree.data.UnknownKeyException: hi!", (java.lang.Comparable)(short)1);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number8 = defaultKeyedValues2D0.getValue(0, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test187"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    defaultKeyedValues2D1.clear();
    int i8 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)false);
    defaultKeyedValues2D1.clear();
    defaultKeyedValues2D1.addValue((java.lang.Number)(-1.0d), (java.lang.Comparable)"hi!", (java.lang.Comparable)'a');
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeRow((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test188"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 0.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)10, (java.lang.Number)100);
    int i7 = defaultKeyedValues0.getItemCount();
    defaultKeyedValues0.clear();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number10 = defaultKeyedValues0.getValue((java.lang.Comparable)false);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 2);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test189"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)100, 10.0d);
    defaultKeyedValues0.setValue((java.lang.Comparable)100.0f, 100.0d);
    java.lang.Number number12 = null;
    defaultKeyedValues0.setValue((java.lang.Comparable)10, number12);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.removeValue(100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test190"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    defaultKeyedValues0.clear();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.removeValue((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test191"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    int i5 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)' ');
    java.lang.Object obj6 = defaultCategoryDataset0.clone();
    boolean b8 = defaultCategoryDataset0.equals((java.lang.Object)(short)1);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeRow(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test192"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    java.util.List list8 = defaultCategoryDataset2.getRowKeys();
    int i10 = defaultCategoryDataset2.getRowIndex((java.lang.Comparable)(short)10);
    defaultCategoryDataset2.addValue(0.0d, (java.lang.Comparable)(short)100, (java.lang.Comparable)(short)(-1));
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable16 = defaultCategoryDataset2.getColumnKey((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test193"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    java.util.List list4 = defaultCategoryDataset0.getRowKeys();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable6 = defaultCategoryDataset0.getColumnKey((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test194"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    java.util.List list6 = defaultKeyedValues2D1.getRowKeys();
    int i8 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)"org.jfree.data.UnknownKeyException: ");
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable10 = defaultKeyedValues2D1.getRowKey((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test195"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    org.jfree.data.DefaultKeyedValues defaultKeyedValues4 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup6 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str7 = datasetGroup6.getID();
    boolean b8 = defaultKeyedValues4.equals((java.lang.Object)str7);
    defaultKeyedValues4.setValue((java.lang.Comparable)10, (java.lang.Number)(short)100);
    defaultKeyedValues4.setValue((java.lang.Comparable)(-1.0d), (java.lang.Number)10.0d);
    java.util.List list15 = defaultKeyedValues4.getKeys();
    boolean b16 = defaultKeyedValues2D1.equals((java.lang.Object)defaultKeyedValues4);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable18 = defaultKeyedValues2D1.getColumnKey(100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str7.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test196"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset0.getGroup();
    defaultCategoryDataset0.setValue((-1.0d), (java.lang.Comparable)(short)1, (java.lang.Comparable)'a');
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeColumn(2);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test197"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)100, 10.0d);
    defaultKeyedValues0.setValue((java.lang.Comparable)100.0f, 100.0d);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.insertValue(100, (java.lang.Comparable)(byte)0, (java.lang.Number)(byte)10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test198"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    defaultKeyedValues0.clear();
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset6 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup7 = defaultCategoryDataset6.getGroup();
    java.lang.String str8 = datasetGroup7.getID();
    boolean b9 = defaultKeyedValues0.equals((java.lang.Object)datasetGroup7);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number11 = defaultKeyedValues0.getValue((java.lang.Comparable)(byte)10);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "NOID"+ "'", str8.equals("NOID"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test199"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    int i6 = defaultKeyedValues0.getIndex((java.lang.Comparable)10);
    int i7 = defaultKeyedValues0.getItemCount();
    int i9 = defaultKeyedValues0.getIndex((java.lang.Comparable)100);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number11 = defaultKeyedValues0.getValue((java.lang.Comparable)'a');
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test200"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    defaultCategoryDataset2.removeValue((java.lang.Comparable)1, (java.lang.Comparable)(byte)100);
    java.lang.Object obj11 = defaultCategoryDataset2.clone();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.removeColumn((java.lang.Comparable)(-1));
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test201"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeRow(2);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test202"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    org.jfree.data.DefaultKeyedValues defaultKeyedValues4 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup6 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str7 = datasetGroup6.getID();
    boolean b8 = defaultKeyedValues4.equals((java.lang.Object)str7);
    defaultKeyedValues4.setValue((java.lang.Comparable)10, (java.lang.Number)(short)100);
    defaultKeyedValues4.setValue((java.lang.Comparable)(-1.0d), (java.lang.Number)10.0d);
    java.util.List list15 = defaultKeyedValues4.getKeys();
    boolean b16 = defaultKeyedValues2D1.equals((java.lang.Object)defaultKeyedValues4);
    org.jfree.chart.util.SortOrder sortOrder17 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues4.sortByKeys(sortOrder17);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str7.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test203"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    defaultKeyedValues0.setValue((java.lang.Comparable)10, (java.lang.Number)(short)100);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)0, 0.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)"org.jfree.data.UnknownKeyException: hi!", 100.0d);
    defaultKeyedValues0.insertValue(0, (java.lang.Comparable)10L, (java.lang.Number)(-1.0d));
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable19 = defaultKeyedValues0.getKey(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test204"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 0.0d);
    int i4 = defaultKeyedValues0.getItemCount();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number6 = defaultKeyedValues0.getValue((java.lang.Comparable)'#');
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test205"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    int i5 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)' ');
    org.jfree.data.general.DatasetChangeListener datasetChangeListener6 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener6);
    defaultCategoryDataset0.clear();
    java.lang.Number number9 = null;
    defaultCategoryDataset0.setValue(number9, (java.lang.Comparable)10L, (java.lang.Comparable)(byte)0);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.incrementValue(1.0d, (java.lang.Comparable)1, (java.lang.Comparable)' ');
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test206"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)(short)(-1), (java.lang.Comparable)(short)10, (java.lang.Comparable)(-1.0d));
    int i9 = defaultKeyedValues2D1.getRowCount();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeValue((java.lang.Comparable)(byte)1, (java.lang.Comparable)"org.jfree.data.UnknownKeyException: ");
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test207"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    defaultCategoryDataset2.removeValue((java.lang.Comparable)1, (java.lang.Comparable)(byte)100);
    java.lang.Object obj11 = defaultCategoryDataset2.clone();
    defaultCategoryDataset2.removeValue((java.lang.Comparable)"hi!", (java.lang.Comparable)100.0d);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable16 = defaultCategoryDataset2.getRowKey(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test208"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 0.0d);
    int i4 = defaultKeyedValues0.getItemCount();
    java.lang.Comparable comparable6 = defaultKeyedValues0.getKey(0);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.removeValue(2);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable6 + "' != '" + ""+ "'", comparable6.equals(""));

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test209"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    org.jfree.data.UnknownKeyException unknownKeyException3 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset4 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup5 = defaultCategoryDataset4.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent6 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException3, (org.jfree.data.general.Dataset)defaultCategoryDataset4);
    boolean b7 = defaultCategoryDataset0.equals((java.lang.Object)defaultCategoryDataset4);
    java.util.List list8 = defaultCategoryDataset0.getColumnKeys();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeColumn(100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list8);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test210"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    defaultKeyedValues0.setValue((java.lang.Comparable)10, (java.lang.Number)(short)100);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)0, 0.0d);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.insertValue(3, (java.lang.Comparable)(byte)1, (-1.0d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test211"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    int i4 = defaultCategoryDataset0.getColumnIndex((java.lang.Comparable)(byte)(-1));
    int i6 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)1);
    defaultCategoryDataset0.clear();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number10 = defaultCategoryDataset0.getValue((java.lang.Comparable)1.0d, (java.lang.Comparable)10.0d);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test212"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 0.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)10, (java.lang.Number)100);
    java.util.List list7 = defaultKeyedValues0.getKeys();
    java.lang.Object obj8 = defaultKeyedValues0.clone();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.removeValue((java.lang.Comparable)"org.jfree.data.UnknownKeyException: ");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj8);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test213"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    int i6 = defaultKeyedValues0.getIndex((java.lang.Comparable)10);
    int i7 = defaultKeyedValues0.getItemCount();
    int i9 = defaultKeyedValues0.getIndex((java.lang.Comparable)100);
    java.lang.Comparable comparable10 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.setValue(comparable10, (java.lang.Number)(-1.0f));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test214"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    int i6 = defaultKeyedValues0.getIndex((java.lang.Comparable)10);
    int i7 = defaultKeyedValues0.getItemCount();
    int i9 = defaultKeyedValues0.getIndex((java.lang.Comparable)100);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.removeValue(1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test215"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)(short)(-1), (java.lang.Comparable)(short)10, (java.lang.Comparable)(-1.0d));
    defaultKeyedValues2D1.removeRow(0);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number13 = defaultKeyedValues2D1.getValue((java.lang.Comparable)0.0f, (java.lang.Comparable)(short)10);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test216"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    defaultCategoryDataset2.removeValue((java.lang.Comparable)1, (java.lang.Comparable)(byte)100);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number13 = defaultCategoryDataset2.getValue((-1), 100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test217"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    int i5 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)' ');
    org.jfree.data.general.DatasetChangeListener datasetChangeListener6 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener6);
    defaultCategoryDataset0.clear();
    int i9 = defaultCategoryDataset0.getRowCount();
    int i10 = defaultCategoryDataset0.getColumnCount();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener11 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener11);
    java.lang.Object obj13 = defaultCategoryDataset0.clone();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable15 = defaultCategoryDataset0.getRowKey(1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj13);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test218"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    int i5 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)' ');
    org.jfree.data.general.DatasetChangeListener datasetChangeListener6 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener6);
    defaultCategoryDataset0.clear();
    int i9 = defaultCategoryDataset0.getRowCount();
    int i10 = defaultCategoryDataset0.getColumnCount();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener11 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener11);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.incrementValue((-1.0d), (java.lang.Comparable)0L, (java.lang.Comparable)10);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test219"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    java.lang.Comparable comparable6 = null;
    java.lang.Comparable comparable7 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.removeValue(comparable6, comparable7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test220"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable4 = defaultCategoryDataset0.getColumnKey(1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test221"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    int i6 = defaultKeyedValues2D1.getRowIndex((java.lang.Comparable)0.0d);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeRow(3);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test222"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    defaultKeyedValues2D1.clear();
    defaultKeyedValues2D1.addValue((java.lang.Number)100.0f, (java.lang.Comparable)(byte)1, (java.lang.Comparable)' ');
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable11 = defaultKeyedValues2D1.getColumnKey(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test223"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset1 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup2 = defaultCategoryDataset1.getGroup();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener3 = null;
    defaultCategoryDataset1.addChangeListener(datasetChangeListener3);
    org.jfree.data.general.DatasetGroup datasetGroup5 = defaultCategoryDataset1.getGroup();
    java.util.EventListener eventListener6 = null;
    boolean b7 = defaultCategoryDataset1.hasListener(eventListener6);
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent8 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)100.0f, (org.jfree.data.general.Dataset)defaultCategoryDataset1);
    defaultCategoryDataset1.setValue((java.lang.Number)(short)0, (java.lang.Comparable)(byte)10, (java.lang.Comparable)(-1L));
    java.lang.Comparable comparable14 = defaultCategoryDataset1.getColumnKey(0);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset1.removeColumn((java.lang.Comparable)'a');
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable14 + "' != '" + (-1L)+ "'", comparable14.equals((-1L)));

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test224"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    int i4 = defaultKeyedValues2D1.getRowCount();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeRow(1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test225"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    defaultCategoryDataset0.clear();
    java.lang.Object obj2 = defaultCategoryDataset0.clone();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeColumn(2);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj2);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test226"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    java.lang.Object obj6 = defaultKeyedValues2D1.clone();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number9 = defaultKeyedValues2D1.getValue(2, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj6);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test227"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    java.lang.Object obj6 = defaultKeyedValues2D1.clone();
    defaultKeyedValues2D1.addValue((java.lang.Number)(short)(-1), (java.lang.Comparable)10, (java.lang.Comparable)(-1.0d));
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeColumn(2);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj6);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test228"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener2 = null;
    defaultCategoryDataset0.addChangeListener(datasetChangeListener2);
    org.jfree.data.general.DatasetGroup datasetGroup4 = defaultCategoryDataset0.getGroup();
    java.util.EventListener eventListener5 = null;
    boolean b6 = defaultCategoryDataset0.hasListener(eventListener5);
    java.util.List list7 = defaultCategoryDataset0.getColumnKeys();
    java.lang.Comparable comparable8 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeColumn(comparable8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list7);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test229"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    int i6 = defaultKeyedValues0.getIndex((java.lang.Comparable)10);
    int i7 = defaultKeyedValues0.getItemCount();
    java.util.List list8 = defaultKeyedValues0.getKeys();
    int i9 = defaultKeyedValues0.getItemCount();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number11 = defaultKeyedValues0.getValue(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test230"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    defaultKeyedValues2D1.clear();
    int i7 = defaultKeyedValues2D1.getColumnCount();
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset8 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup9 = defaultCategoryDataset8.getGroup();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener10 = null;
    defaultCategoryDataset8.addChangeListener(datasetChangeListener10);
    org.jfree.data.general.DatasetGroup datasetGroup12 = defaultCategoryDataset8.getGroup();
    java.util.EventListener eventListener13 = null;
    boolean b14 = defaultCategoryDataset8.hasListener(eventListener13);
    boolean b15 = defaultKeyedValues2D1.equals((java.lang.Object)eventListener13);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeRow(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test231"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    defaultCategoryDataset2.removeValue((java.lang.Comparable)1, (java.lang.Comparable)(byte)100);
    java.lang.Comparable comparable13 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.setValue((java.lang.Number)(byte)10, (java.lang.Comparable)0.0f, comparable13);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test232"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener2 = null;
    defaultCategoryDataset0.addChangeListener(datasetChangeListener2);
    org.jfree.data.general.DatasetGroup datasetGroup4 = defaultCategoryDataset0.getGroup();
    java.util.EventListener eventListener5 = null;
    boolean b6 = defaultCategoryDataset0.hasListener(eventListener5);
    java.util.List list7 = defaultCategoryDataset0.getRowKeys();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeColumn(2);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list7);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test233"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 0.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)10, (java.lang.Number)100);
    defaultKeyedValues0.addValue((java.lang.Comparable)"", (java.lang.Number)10);
    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D11 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D11.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj15 = defaultKeyedValues2D11.clone();
    java.util.List list16 = defaultKeyedValues2D11.getRowKeys();
    java.lang.Object obj17 = defaultKeyedValues2D11.clone();
    boolean b18 = defaultKeyedValues0.equals((java.lang.Object)defaultKeyedValues2D11);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D11.removeRow(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test234"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    int i5 = defaultKeyedValues0.getItemCount();
    java.lang.Comparable comparable6 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number7 = defaultKeyedValues0.getValue(comparable6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test235"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)'4', (java.lang.Comparable)1.0f);
    int i5 = defaultKeyedValues2D1.getRowCount();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number8 = defaultKeyedValues2D1.getValue((java.lang.Comparable)(-1L), (java.lang.Comparable)(-1.0f));
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test236"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    org.jfree.data.UnknownKeyException unknownKeyException3 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset4 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup5 = defaultCategoryDataset4.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent6 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException3, (org.jfree.data.general.Dataset)defaultCategoryDataset4);
    boolean b7 = defaultCategoryDataset0.equals((java.lang.Object)defaultCategoryDataset4);
    int i8 = defaultCategoryDataset0.getRowCount();
    int i9 = defaultCategoryDataset0.getColumnCount();
    defaultCategoryDataset0.validateObject();
    defaultCategoryDataset0.removeValue((java.lang.Comparable)0.0d, (java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number16 = defaultCategoryDataset0.getValue((java.lang.Comparable)(short)1, (java.lang.Comparable)"hi!");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test237"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)(short)(-1), (java.lang.Comparable)(short)10, (java.lang.Comparable)(-1.0d));
    defaultKeyedValues2D1.removeRow(0);
    java.lang.Comparable comparable12 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.addValue((java.lang.Number)10.0f, comparable12, (java.lang.Comparable)2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test238"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 0.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)10, (java.lang.Number)100);
    defaultKeyedValues0.addValue((java.lang.Comparable)"", (java.lang.Number)10);
    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D11 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D11.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj15 = defaultKeyedValues2D11.clone();
    java.util.List list16 = defaultKeyedValues2D11.getRowKeys();
    java.lang.Object obj17 = defaultKeyedValues2D11.clone();
    boolean b18 = defaultKeyedValues0.equals((java.lang.Object)defaultKeyedValues2D11);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.removeValue((java.lang.Comparable)0.0f);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test239"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D0 = new org.jfree.data.DefaultKeyedValues2D();
    defaultKeyedValues2D0.clear();
    java.lang.Number number2 = null;
    defaultKeyedValues2D0.setValue(number2, (java.lang.Comparable)"org.jfree.data.UnknownKeyException: hi!", (java.lang.Comparable)(short)1);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable7 = defaultKeyedValues2D0.getColumnKey(3);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test240"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    defaultKeyedValues2D1.clear();
    int i8 = defaultKeyedValues2D1.getRowIndex((java.lang.Comparable)(short)(-1));
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeRow(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test241"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    int i4 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)10);
    defaultCategoryDataset0.removeValue((java.lang.Comparable)1.0f, (java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.Comparable comparable9 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.addValue((java.lang.Number)2, comparable9, (java.lang.Comparable)(byte)100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test242"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    org.jfree.data.DefaultKeyedValues defaultKeyedValues4 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup6 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str7 = datasetGroup6.getID();
    boolean b8 = defaultKeyedValues4.equals((java.lang.Object)str7);
    defaultKeyedValues4.setValue((java.lang.Comparable)10, (java.lang.Number)(short)100);
    defaultKeyedValues4.setValue((java.lang.Comparable)(-1.0d), (java.lang.Number)10.0d);
    java.util.List list15 = defaultKeyedValues4.getKeys();
    boolean b16 = defaultKeyedValues2D1.equals((java.lang.Object)defaultKeyedValues4);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeRow((java.lang.Comparable)(-1L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str7.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test243"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset1 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup2 = defaultCategoryDataset1.getGroup();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener3 = null;
    defaultCategoryDataset1.addChangeListener(datasetChangeListener3);
    org.jfree.data.general.DatasetGroup datasetGroup5 = defaultCategoryDataset1.getGroup();
    java.util.EventListener eventListener6 = null;
    boolean b7 = defaultCategoryDataset1.hasListener(eventListener6);
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent8 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)100.0f, (org.jfree.data.general.Dataset)defaultCategoryDataset1);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number11 = defaultCategoryDataset1.getValue((java.lang.Comparable)1.0f, (java.lang.Comparable)2);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test244"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    java.util.List list8 = defaultCategoryDataset2.getRowKeys();
    int i10 = defaultCategoryDataset2.getRowIndex((java.lang.Comparable)(short)10);
    java.lang.Object obj11 = defaultCategoryDataset2.clone();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.removeRow((java.lang.Comparable)"hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test245"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)1.0d, (java.lang.Comparable)0.0d, (java.lang.Comparable)1);
    java.lang.Object obj9 = defaultKeyedValues2D1.clone();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number12 = defaultKeyedValues2D1.getValue(3, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test246"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    defaultKeyedValues2D1.clear();
    int i8 = defaultKeyedValues2D1.getRowIndex((java.lang.Comparable)(short)(-1));
    java.lang.Comparable comparable10 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number11 = defaultKeyedValues2D1.getValue((java.lang.Comparable)"org.jfree.data.UnknownKeyException: org.jfree.data.UnknownKeyException: ", comparable10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test247"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 0.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)10, (java.lang.Number)100);
    defaultKeyedValues0.addValue((java.lang.Comparable)"", (java.lang.Number)10);
    defaultKeyedValues0.insertValue(2, (java.lang.Comparable)(short)0, (java.lang.Number)(short)(-1));
    defaultKeyedValues0.addValue((java.lang.Comparable)"NOID", 10.0d);
    java.lang.Comparable comparable17 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.addValue(comparable17, (java.lang.Number)10L);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test248"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 0.0d);
    int i5 = defaultKeyedValues0.getIndex((java.lang.Comparable)"");
    org.jfree.chart.util.SortOrder sortOrder6 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.sortByValues(sortOrder6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test249"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    int i4 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)10);
    java.util.List list5 = defaultCategoryDataset0.getRowKeys();
    defaultCategoryDataset0.validateObject();
    int i7 = defaultCategoryDataset0.getRowCount();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number10 = defaultCategoryDataset0.getValue(100, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test250"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    int i6 = defaultKeyedValues0.getIndex((java.lang.Comparable)10);
    int i7 = defaultKeyedValues0.getItemCount();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number9 = defaultKeyedValues0.getValue((java.lang.Comparable)'a');
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test251"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 0.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)10, (java.lang.Number)100);
    java.util.List list7 = defaultKeyedValues0.getKeys();
    java.lang.Object obj8 = defaultKeyedValues0.clone();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.removeValue((java.lang.Comparable)0);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj8);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test252"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    defaultCategoryDataset2.removeValue((java.lang.Comparable)1, (java.lang.Comparable)(byte)100);
    java.lang.Object obj11 = defaultCategoryDataset2.clone();
    defaultCategoryDataset2.validateObject();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.removeRow((java.lang.Comparable)"org.jfree.data.UnknownKeyException: ");
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test253"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    defaultKeyedValues2D1.clear();
    int i7 = defaultKeyedValues2D1.getColumnCount();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeColumn(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test254"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)'4', (java.lang.Comparable)1.0f);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeRow((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test255"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    java.lang.Object obj6 = defaultKeyedValues2D1.clone();
    defaultKeyedValues2D1.addValue((java.lang.Number)(short)(-1), (java.lang.Comparable)10, (java.lang.Comparable)(-1.0d));
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeRow((java.lang.Comparable)(-1L));
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj6);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test256"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    org.jfree.data.DefaultKeyedValues defaultKeyedValues4 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup6 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str7 = datasetGroup6.getID();
    boolean b8 = defaultKeyedValues4.equals((java.lang.Object)str7);
    defaultKeyedValues4.setValue((java.lang.Comparable)10, (java.lang.Number)(short)100);
    defaultKeyedValues4.setValue((java.lang.Comparable)(-1.0d), (java.lang.Number)10.0d);
    java.util.List list15 = defaultKeyedValues4.getKeys();
    boolean b16 = defaultKeyedValues2D1.equals((java.lang.Object)defaultKeyedValues4);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable18 = defaultKeyedValues2D1.getColumnKey(1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str7.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test257"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)(short)(-1), (java.lang.Comparable)(short)10, (java.lang.Comparable)(-1.0d));
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.addValue((java.lang.Number)100, (java.lang.Comparable)"", (java.lang.Comparable)false);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test258"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener2 = null;
    defaultCategoryDataset0.addChangeListener(datasetChangeListener2);
    org.jfree.data.general.DatasetGroup datasetGroup4 = defaultCategoryDataset0.getGroup();
    java.util.EventListener eventListener5 = null;
    boolean b6 = defaultCategoryDataset0.hasListener(eventListener5);
    org.jfree.data.general.DatasetChangeListener datasetChangeListener7 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener7);
    defaultCategoryDataset0.clear();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable11 = defaultCategoryDataset0.getColumnKey(2);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test259"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(false);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100.0d, (java.lang.Comparable)(-1.0f));
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable8 = defaultKeyedValues2D1.getColumnKey(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test260"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)(short)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeRow(3);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test261"); }


    java.lang.Object obj0 = null;
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset1 = new org.jfree.data.category.DefaultCategoryDataset();
    int i2 = defaultCategoryDataset1.getRowCount();
    org.jfree.data.UnknownKeyException unknownKeyException4 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset5 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup6 = defaultCategoryDataset5.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent7 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException4, (org.jfree.data.general.Dataset)defaultCategoryDataset5);
    boolean b8 = defaultCategoryDataset1.equals((java.lang.Object)defaultCategoryDataset5);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.general.DatasetChangeEvent datasetChangeEvent9 = new org.jfree.data.general.DatasetChangeEvent(obj0, (org.jfree.data.general.Dataset)defaultCategoryDataset1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test262"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    int i4 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)10);
    java.util.List list5 = defaultCategoryDataset0.getRowKeys();
    org.jfree.data.UnknownKeyException unknownKeyException7 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset8 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup9 = defaultCategoryDataset8.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent10 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException7, (org.jfree.data.general.Dataset)defaultCategoryDataset8);
    defaultCategoryDataset8.validateObject();
    int i13 = defaultCategoryDataset8.getColumnIndex((java.lang.Comparable)10.0f);
    defaultCategoryDataset8.removeValue((java.lang.Comparable)1, (java.lang.Comparable)(byte)100);
    java.lang.Object obj17 = defaultCategoryDataset8.clone();
    defaultCategoryDataset8.addValue((java.lang.Number)(short)100, (java.lang.Comparable)'a', (java.lang.Comparable)"");
    int i22 = defaultCategoryDataset8.getRowCount();
    java.util.List list23 = defaultCategoryDataset8.getRowKeys();
    int i24 = defaultCategoryDataset8.getColumnCount();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent25 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)list5, (org.jfree.data.general.Dataset)defaultCategoryDataset8);
    java.lang.Comparable comparable27 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset8.incrementValue(100.0d, comparable27, (java.lang.Comparable)"hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test263"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 0.0d);
    int i5 = defaultKeyedValues0.getIndex((java.lang.Comparable)"");
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number7 = defaultKeyedValues0.getValue((java.lang.Comparable)' ');
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test264"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 0.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)10, (java.lang.Number)100);
    defaultKeyedValues0.addValue((java.lang.Comparable)"", (java.lang.Number)10);
    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D11 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D11.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj15 = defaultKeyedValues2D11.clone();
    java.util.List list16 = defaultKeyedValues2D11.getRowKeys();
    java.lang.Object obj17 = defaultKeyedValues2D11.clone();
    boolean b18 = defaultKeyedValues0.equals((java.lang.Object)defaultKeyedValues2D11);
    defaultKeyedValues2D11.removeValue((java.lang.Comparable)1, (java.lang.Comparable)(short)100);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number24 = defaultKeyedValues2D11.getValue(100, 2);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test265"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    defaultCategoryDataset2.removeValue((java.lang.Comparable)1, (java.lang.Comparable)(byte)100);
    java.lang.Object obj11 = defaultCategoryDataset2.clone();
    defaultCategoryDataset2.addValue((java.lang.Number)(short)100, (java.lang.Comparable)'a', (java.lang.Comparable)"");
    defaultCategoryDataset2.clear();
    boolean b18 = defaultCategoryDataset2.equals((java.lang.Object)(-1.0f));
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.removeColumn(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test266"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset1 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup2 = defaultCategoryDataset1.getGroup();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener3 = null;
    defaultCategoryDataset1.addChangeListener(datasetChangeListener3);
    org.jfree.data.general.DatasetGroup datasetGroup5 = defaultCategoryDataset1.getGroup();
    java.util.EventListener eventListener6 = null;
    boolean b7 = defaultCategoryDataset1.hasListener(eventListener6);
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent8 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)100.0f, (org.jfree.data.general.Dataset)defaultCategoryDataset1);
    java.util.EventListener eventListener9 = null;
    boolean b10 = defaultCategoryDataset1.hasListener(eventListener9);
    org.jfree.data.general.DatasetGroup datasetGroup11 = defaultCategoryDataset1.getGroup();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable13 = defaultCategoryDataset1.getRowKey(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup11);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test267"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 0.0d);
    int i4 = defaultKeyedValues0.getItemCount();
    org.jfree.chart.util.SortOrder sortOrder5 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.sortByKeys(sortOrder5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test268"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 0.0d);
    int i4 = defaultKeyedValues0.getItemCount();
    java.lang.Comparable comparable6 = defaultKeyedValues0.getKey(0);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.removeValue((java.lang.Comparable)(byte)1);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable6 + "' != '" + ""+ "'", comparable6.equals(""));

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test269"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    java.util.List list6 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.clear();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeColumn((java.lang.Comparable)(byte)100);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list6);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test270"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    defaultKeyedValues0.setValue((java.lang.Comparable)10, (java.lang.Number)(short)100);
    defaultKeyedValues0.setValue((java.lang.Comparable)(-1.0d), (java.lang.Number)10.0d);
    java.util.List list11 = defaultKeyedValues0.getKeys();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number13 = defaultKeyedValues0.getValue((java.lang.Comparable)"NOID");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list11);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test271"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)(short)(-1), (java.lang.Comparable)(short)10, (java.lang.Comparable)(-1.0d));
    int i9 = defaultKeyedValues2D1.getColumnCount();
    org.jfree.data.DefaultKeyedValues defaultKeyedValues10 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup12 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str13 = datasetGroup12.getID();
    boolean b14 = defaultKeyedValues10.equals((java.lang.Object)str13);
    int i16 = defaultKeyedValues10.getIndex((java.lang.Comparable)10);
    defaultKeyedValues10.setValue((java.lang.Comparable)1, (java.lang.Number)1L);
    int i21 = defaultKeyedValues10.getIndex((java.lang.Comparable)true);
    boolean b22 = defaultKeyedValues2D1.equals((java.lang.Object)defaultKeyedValues10);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable24 = defaultKeyedValues10.getKey(1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str13.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test272"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    java.util.List list8 = defaultCategoryDataset2.getRowKeys();
    int i10 = defaultCategoryDataset2.getRowIndex((java.lang.Comparable)(short)10);
    java.lang.Object obj11 = defaultCategoryDataset2.clone();
    int i12 = defaultCategoryDataset2.getRowCount();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.removeRow(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test273"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    int i5 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)' ');
    org.jfree.data.general.DatasetChangeListener datasetChangeListener6 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener6);
    defaultCategoryDataset0.clear();
    int i9 = defaultCategoryDataset0.getRowCount();
    int i10 = defaultCategoryDataset0.getColumnCount();
    java.util.EventListener eventListener11 = null;
    boolean b12 = defaultCategoryDataset0.hasListener(eventListener11);
    int i13 = defaultCategoryDataset0.getRowCount();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeRow(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test274"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    org.jfree.data.UnknownKeyException unknownKeyException3 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset4 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup5 = defaultCategoryDataset4.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent6 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException3, (org.jfree.data.general.Dataset)defaultCategoryDataset4);
    boolean b7 = defaultCategoryDataset0.equals((java.lang.Object)defaultCategoryDataset4);
    org.jfree.data.general.DatasetChangeListener datasetChangeListener8 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener8);
    java.util.EventListener eventListener10 = null;
    boolean b11 = defaultCategoryDataset0.hasListener(eventListener10);
    java.lang.Comparable comparable12 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i13 = defaultCategoryDataset0.getColumnIndex(comparable12);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test275"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    int i9 = defaultCategoryDataset2.getRowIndex((java.lang.Comparable)'#');
    java.lang.Object obj10 = defaultCategoryDataset2.clone();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.removeRow((java.lang.Comparable)"hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj10);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test276"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 0.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)10, (java.lang.Number)100);
    defaultKeyedValues0.addValue((java.lang.Comparable)"", (java.lang.Number)10);
    defaultKeyedValues0.addValue((java.lang.Comparable)(short)(-1), (java.lang.Number)100L);
    defaultKeyedValues0.setValue((java.lang.Comparable)0.0f, 1.0d);
    org.jfree.chart.util.SortOrder sortOrder16 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.sortByValues(sortOrder16);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test277"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    java.util.List list6 = defaultKeyedValues2D1.getRowKeys();
    java.util.List list7 = defaultKeyedValues2D1.getRowKeys();
    java.lang.Object obj8 = defaultKeyedValues2D1.clone();
    int i9 = defaultKeyedValues2D1.getRowCount();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeRow(2);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test278"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)'4', (java.lang.Comparable)1.0f);
    int i5 = defaultKeyedValues2D1.getRowCount();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable7 = defaultKeyedValues2D1.getColumnKey(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test279"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    int i8 = defaultCategoryDataset2.getColumnCount();
    java.lang.Object obj9 = null;
    boolean b10 = defaultCategoryDataset2.equals(obj9);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.removeColumn((java.lang.Comparable)10);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test280"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    int i9 = defaultCategoryDataset2.getRowIndex((java.lang.Comparable)'#');
    java.lang.Object obj10 = defaultCategoryDataset2.clone();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.removeRow((java.lang.Comparable)(-1.0d));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj10);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test281"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    java.util.List list4 = defaultCategoryDataset0.getRowKeys();
    java.util.EventListener eventListener5 = null;
    boolean b6 = defaultCategoryDataset0.hasListener(eventListener5);
    java.util.EventListener eventListener7 = null;
    boolean b8 = defaultCategoryDataset0.hasListener(eventListener7);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeRow(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test282"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)0.0f, (java.lang.Number)(-1L));
    defaultKeyedValues0.addValue((java.lang.Comparable)(short)1, (-1.0d));
    java.util.List list7 = defaultKeyedValues0.getKeys();
    defaultKeyedValues0.setValue((java.lang.Comparable)(byte)0, 100.0d);
    org.jfree.chart.util.SortOrder sortOrder11 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.sortByKeys(sortOrder11);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list7);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test283"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset1 = new org.jfree.data.category.DefaultCategoryDataset();
    int i2 = defaultCategoryDataset1.getRowCount();
    org.jfree.data.UnknownKeyException unknownKeyException4 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset5 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup6 = defaultCategoryDataset5.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent7 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException4, (org.jfree.data.general.Dataset)defaultCategoryDataset5);
    boolean b8 = defaultCategoryDataset1.equals((java.lang.Object)defaultCategoryDataset5);
    int i9 = defaultCategoryDataset1.getRowCount();
    defaultCategoryDataset1.removeValue((java.lang.Comparable)(byte)100, (java.lang.Comparable)(-1.0d));
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent13 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)1.0d, (org.jfree.data.general.Dataset)defaultCategoryDataset1);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset1.removeRow((java.lang.Comparable)0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test284"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    int i4 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)10);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeRow((java.lang.Comparable)(short)10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test285"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 0.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)10, (java.lang.Number)100);
    java.lang.Number number8 = defaultKeyedValues0.getValue(1);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number10 = defaultKeyedValues0.getValue((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 100+ "'", number8.equals(100));

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test286"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.clear();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeRow(2);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test287"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    int i1 = defaultKeyedValues0.getItemCount();
    org.jfree.data.general.DatasetGroup datasetGroup3 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str4 = datasetGroup3.getID();
    java.lang.Object obj5 = datasetGroup3.clone();
    boolean b6 = defaultKeyedValues0.equals(obj5);
    org.jfree.chart.util.SortOrder sortOrder7 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.sortByValues(sortOrder7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str4.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test288"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    defaultKeyedValues2D1.clear();
    boolean b8 = defaultKeyedValues2D1.equals((java.lang.Object)10.0f);
    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D9 = new org.jfree.data.DefaultKeyedValues2D();
    boolean b10 = defaultKeyedValues2D1.equals((java.lang.Object)defaultKeyedValues2D9);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D9.removeRow((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test289"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    defaultKeyedValues0.setValue((java.lang.Comparable)"org.jfree.data.UnknownKeyException: ", 0.0d);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number9 = defaultKeyedValues0.getValue((java.lang.Comparable)"hi!");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test290"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 0.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)10, (java.lang.Number)100);
    defaultKeyedValues0.addValue((java.lang.Comparable)"", (java.lang.Number)10);
    defaultKeyedValues0.addValue((java.lang.Comparable)(short)(-1), (java.lang.Number)100L);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.insertValue(100, (java.lang.Comparable)2, (java.lang.Number)(byte)1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test291"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    defaultCategoryDataset0.clear();
    java.util.EventListener eventListener2 = null;
    boolean b3 = defaultCategoryDataset0.hasListener(eventListener2);
    int i5 = defaultCategoryDataset0.getColumnIndex((java.lang.Comparable)(byte)1);
    defaultCategoryDataset0.addValue(100.0d, (java.lang.Comparable)100, (java.lang.Comparable)"org.jfree.data.UnknownKeyException: org.jfree.data.UnknownKeyException: ");
    org.jfree.data.general.DatasetGroup datasetGroup11 = new org.jfree.data.general.DatasetGroup("");
    java.lang.Object obj12 = datasetGroup11.clone();
    defaultCategoryDataset0.setGroup(datasetGroup11);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeRow((java.lang.Comparable)(-1L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj12);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test292"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    int i6 = defaultKeyedValues0.getIndex((java.lang.Comparable)10);
    int i7 = defaultKeyedValues0.getItemCount();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 1.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)0.0d, (java.lang.Number)1);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.insertValue(3, (java.lang.Comparable)(-1.0d), (java.lang.Number)1.0f);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test293"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener2 = null;
    defaultCategoryDataset0.addChangeListener(datasetChangeListener2);
    java.lang.Object obj4 = defaultCategoryDataset0.clone();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeColumn(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj4);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test294"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    int i6 = defaultKeyedValues0.getIndex((java.lang.Comparable)10);
    int i7 = defaultKeyedValues0.getItemCount();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 1.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)0.0d, (java.lang.Number)1);
    org.jfree.chart.util.SortOrder sortOrder14 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.sortByKeys(sortOrder14);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test295"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    int i6 = defaultKeyedValues0.getIndex((java.lang.Comparable)10);
    int i7 = defaultKeyedValues0.getItemCount();
    java.util.List list8 = defaultKeyedValues0.getKeys();
    int i9 = defaultKeyedValues0.getItemCount();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.insertValue(10, (java.lang.Comparable)"org.jfree.data.UnknownKeyException: ", 100.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test296"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    org.jfree.data.DefaultKeyedValues defaultKeyedValues4 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup6 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str7 = datasetGroup6.getID();
    boolean b8 = defaultKeyedValues4.equals((java.lang.Object)str7);
    defaultKeyedValues4.setValue((java.lang.Comparable)10, (java.lang.Number)(short)100);
    defaultKeyedValues4.setValue((java.lang.Comparable)(-1.0d), (java.lang.Number)10.0d);
    java.util.List list15 = defaultKeyedValues4.getKeys();
    boolean b16 = defaultKeyedValues2D1.equals((java.lang.Object)defaultKeyedValues4);
    int i18 = defaultKeyedValues4.getIndex((java.lang.Comparable)'a');
    int i19 = defaultKeyedValues4.getItemCount();
    int i21 = defaultKeyedValues4.getIndex((java.lang.Comparable)1L);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number23 = defaultKeyedValues4.getValue((java.lang.Comparable)0L);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str7.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == (-1));

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test297"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)(short)(-1), (java.lang.Comparable)(short)10, (java.lang.Comparable)(-1.0d));
    java.lang.Object obj9 = defaultKeyedValues2D1.clone();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number12 = defaultKeyedValues2D1.getValue(100, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test298"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 0.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)10, (java.lang.Number)100);
    int i7 = defaultKeyedValues0.getItemCount();
    defaultKeyedValues0.addValue((java.lang.Comparable)10.0d, 1.0d);
    defaultKeyedValues0.removeValue(0);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.removeValue((java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=100.0]");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 2);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test299"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)1.0d, (java.lang.Comparable)0.0d, (java.lang.Comparable)1);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeValue((java.lang.Comparable)'#', (java.lang.Comparable)"NOID");
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test300"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)1.0d, (java.lang.Comparable)0.0d, (java.lang.Comparable)1);
    java.lang.Object obj9 = defaultKeyedValues2D1.clone();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable11 = defaultKeyedValues2D1.getColumnKey((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test301"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    java.lang.String str2 = datasetGroup1.getID();
    java.lang.String str3 = datasetGroup1.getID();
    org.jfree.data.DefaultKeyedValues defaultKeyedValues4 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues4.addValue((java.lang.Comparable)100.0f, (java.lang.Number)100.0d);
    java.lang.Object obj8 = defaultKeyedValues4.clone();
    boolean b9 = datasetGroup1.equals((java.lang.Object)defaultKeyedValues4);
    org.jfree.chart.util.SortOrder sortOrder10 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues4.sortByKeys(sortOrder10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "NOID"+ "'", str2.equals("NOID"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "NOID"+ "'", str3.equals("NOID"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test302"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    org.jfree.data.UnknownKeyException unknownKeyException3 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset4 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup5 = defaultCategoryDataset4.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent6 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException3, (org.jfree.data.general.Dataset)defaultCategoryDataset4);
    boolean b7 = defaultCategoryDataset0.equals((java.lang.Object)defaultCategoryDataset4);
    defaultCategoryDataset4.validateObject();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number11 = defaultCategoryDataset4.getValue((-1), (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test303"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(false);
    defaultKeyedValues2D1.setValue((java.lang.Number)100, (java.lang.Comparable)0L, (java.lang.Comparable)10);
    java.lang.Comparable comparable7 = defaultKeyedValues2D1.getRowKey(0);
    int i9 = defaultKeyedValues2D1.getRowIndex((java.lang.Comparable)(byte)(-1));
    java.lang.Comparable comparable10 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeColumn(comparable10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable7 + "' != '" + 0L+ "'", comparable7.equals(0L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test304"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)(short)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    int i5 = defaultKeyedValues2D1.getRowCount();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number8 = defaultKeyedValues2D1.getValue((java.lang.Comparable)0L, (java.lang.Comparable)0);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test305"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 0.0d);
    int i4 = defaultKeyedValues0.getItemCount();
    java.lang.Comparable comparable6 = defaultKeyedValues0.getKey(0);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.insertValue((-1), (java.lang.Comparable)(short)10, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable6 + "' != '" + ""+ "'", comparable6.equals(""));

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test306"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)(short)(-1), (java.lang.Comparable)(short)10, (java.lang.Comparable)(-1.0d));
    int i9 = defaultKeyedValues2D1.getColumnCount();
    org.jfree.data.DefaultKeyedValues defaultKeyedValues10 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup12 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str13 = datasetGroup12.getID();
    boolean b14 = defaultKeyedValues10.equals((java.lang.Object)str13);
    int i16 = defaultKeyedValues10.getIndex((java.lang.Comparable)10);
    defaultKeyedValues10.setValue((java.lang.Comparable)1, (java.lang.Number)1L);
    int i21 = defaultKeyedValues10.getIndex((java.lang.Comparable)true);
    boolean b22 = defaultKeyedValues2D1.equals((java.lang.Object)defaultKeyedValues10);
    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D24 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D24.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj28 = defaultKeyedValues2D24.clone();
    defaultKeyedValues2D24.clear();
    int i31 = defaultKeyedValues2D24.getColumnIndex((java.lang.Comparable)false);
    org.jfree.data.UnknownKeyException unknownKeyException33 = new org.jfree.data.UnknownKeyException("");
    java.lang.Throwable[] throwable_array34 = unknownKeyException33.getSuppressed();
    java.lang.Throwable[] throwable_array35 = unknownKeyException33.getSuppressed();
    boolean b36 = defaultKeyedValues2D24.equals((java.lang.Object)unknownKeyException33);
    boolean b37 = defaultKeyedValues10.equals((java.lang.Object)defaultKeyedValues2D24);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues10.removeValue(1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str13.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test307"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    int i6 = defaultKeyedValues0.getIndex((java.lang.Comparable)10);
    int i7 = defaultKeyedValues0.getItemCount();
    java.util.List list8 = defaultKeyedValues0.getKeys();
    int i9 = defaultKeyedValues0.getItemCount();
    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D11 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i13 = defaultKeyedValues2D11.getColumnIndex((java.lang.Comparable)0);
    int i14 = defaultKeyedValues2D11.getRowCount();
    defaultKeyedValues2D11.clear();
    boolean b16 = defaultKeyedValues0.equals((java.lang.Object)defaultKeyedValues2D11);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable18 = defaultKeyedValues2D11.getColumnKey(3);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test308"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    int i5 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)' ');
    org.jfree.data.general.DatasetChangeListener datasetChangeListener6 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener6);
    defaultCategoryDataset0.clear();
    int i9 = defaultCategoryDataset0.getRowCount();
    int i10 = defaultCategoryDataset0.getColumnCount();
    java.util.EventListener eventListener11 = null;
    boolean b12 = defaultCategoryDataset0.hasListener(eventListener11);
    int i13 = defaultCategoryDataset0.getRowCount();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable15 = defaultCategoryDataset0.getColumnKey(3);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test309"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 0.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)10, (java.lang.Number)100);
    defaultKeyedValues0.addValue((java.lang.Comparable)"", (java.lang.Number)10);
    defaultKeyedValues0.addValue((java.lang.Comparable)(short)(-1), (java.lang.Number)100L);
    java.lang.Object obj13 = defaultKeyedValues0.clone();
    int i14 = defaultKeyedValues0.getItemCount();
    java.util.List list15 = defaultKeyedValues0.getKeys();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.insertValue((-1), (java.lang.Comparable)' ', 10.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list15);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test310"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    java.util.List list6 = defaultKeyedValues2D1.getRowKeys();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeRow(1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list6);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test311"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    defaultKeyedValues2D1.clear();
    boolean b8 = defaultKeyedValues2D1.equals((java.lang.Object)10.0f);
    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D9 = new org.jfree.data.DefaultKeyedValues2D();
    boolean b10 = defaultKeyedValues2D1.equals((java.lang.Object)defaultKeyedValues2D9);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeColumn((java.lang.Comparable)'a');
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test312"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    defaultKeyedValues2D1.clear();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable8 = defaultKeyedValues2D1.getRowKey(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test313"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    int i1 = defaultKeyedValues0.getItemCount();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable3 = defaultKeyedValues0.getKey(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test314"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    int i4 = defaultCategoryDataset0.getColumnIndex((java.lang.Comparable)(byte)(-1));
    defaultCategoryDataset0.setValue((java.lang.Number)3, (java.lang.Comparable)' ', (java.lang.Comparable)'4');
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number11 = defaultCategoryDataset0.getValue((java.lang.Comparable)'a', (java.lang.Comparable)(byte)1);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test315"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    int i3 = defaultCategoryDataset0.getColumnCount();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener4 = null;
    defaultCategoryDataset0.addChangeListener(datasetChangeListener4);
    org.jfree.data.general.DatasetChangeListener datasetChangeListener6 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener6);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number10 = defaultCategoryDataset0.getValue(2, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test316"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    int i6 = defaultKeyedValues0.getIndex((java.lang.Comparable)10);
    defaultKeyedValues0.setValue((java.lang.Comparable)1, (java.lang.Number)1L);
    int i11 = defaultKeyedValues0.getIndex((java.lang.Comparable)true);
    java.util.List list12 = defaultKeyedValues0.getKeys();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.insertValue(100, (java.lang.Comparable)0L, (java.lang.Number)(short)100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list12);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test317"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    java.lang.String str5 = unknownKeyException1.toString();
    java.lang.Throwable[] throwable_array6 = unknownKeyException1.getSuppressed();
    java.lang.Throwable throwable7 = null;
    // The following exception was thrown during execution in test generation
    try {
      unknownKeyException1.addSuppressed(throwable7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.jfree.data.UnknownKeyException: hi!"+ "'", str5.equals("org.jfree.data.UnknownKeyException: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test318"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    int i6 = defaultKeyedValues0.getIndex((java.lang.Comparable)10);
    defaultKeyedValues0.setValue((java.lang.Comparable)1, (java.lang.Number)1L);
    int i11 = defaultKeyedValues0.getIndex((java.lang.Comparable)true);
    java.util.List list12 = defaultKeyedValues0.getKeys();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number14 = defaultKeyedValues0.getValue(1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list12);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test319"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    int i5 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)' ');
    java.lang.Object obj6 = defaultCategoryDataset0.clone();
    boolean b8 = defaultCategoryDataset0.equals((java.lang.Object)(short)1);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable10 = defaultCategoryDataset0.getRowKey(3);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test320"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    defaultKeyedValues2D1.setValue((java.lang.Number)(-1), (java.lang.Comparable)10, (java.lang.Comparable)10.0d);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)3, (java.lang.Comparable)(byte)(-1));
    java.lang.Object obj12 = defaultKeyedValues2D1.clone();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable14 = defaultKeyedValues2D1.getColumnKey(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj12);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test321"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset0.getGroup();
    defaultCategoryDataset0.setValue((-1.0d), (java.lang.Comparable)(short)1, (java.lang.Comparable)'a');
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number10 = defaultCategoryDataset0.getValue((java.lang.Comparable)' ', (java.lang.Comparable)2);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test322"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)100, 10.0d);
    defaultKeyedValues0.setValue((java.lang.Comparable)100.0f, 100.0d);
    java.lang.Number number12 = null;
    defaultKeyedValues0.setValue((java.lang.Comparable)10, number12);
    int i14 = defaultKeyedValues0.getItemCount();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.removeValue((java.lang.Comparable)(short)0);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 3);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test323"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    org.jfree.data.UnknownKeyException unknownKeyException3 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset4 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup5 = defaultCategoryDataset4.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent6 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException3, (org.jfree.data.general.Dataset)defaultCategoryDataset4);
    boolean b7 = defaultCategoryDataset0.equals((java.lang.Object)defaultCategoryDataset4);
    java.util.List list8 = defaultCategoryDataset0.getColumnKeys();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener9 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener9);
    defaultCategoryDataset0.addValue(10.0d, (java.lang.Comparable)(byte)0, (java.lang.Comparable)10.0d);
    java.lang.Comparable comparable16 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.setValue(1.0d, comparable16, (java.lang.Comparable)'a');
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list8);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test324"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    int i3 = defaultCategoryDataset0.getColumnCount();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener4 = null;
    defaultCategoryDataset0.addChangeListener(datasetChangeListener4);
    org.jfree.data.general.DatasetChangeListener datasetChangeListener6 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener6);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable9 = defaultCategoryDataset0.getRowKey(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test325"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)(short)(-1), (java.lang.Comparable)(short)10, (java.lang.Comparable)(-1.0d));
    int i9 = defaultKeyedValues2D1.getColumnCount();
    org.jfree.data.DefaultKeyedValues defaultKeyedValues10 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup12 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str13 = datasetGroup12.getID();
    boolean b14 = defaultKeyedValues10.equals((java.lang.Object)str13);
    int i16 = defaultKeyedValues10.getIndex((java.lang.Comparable)10);
    defaultKeyedValues10.setValue((java.lang.Comparable)1, (java.lang.Number)1L);
    int i21 = defaultKeyedValues10.getIndex((java.lang.Comparable)true);
    boolean b22 = defaultKeyedValues2D1.equals((java.lang.Object)defaultKeyedValues10);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeColumn(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str13.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test326"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)1.0d, (java.lang.Comparable)0.0d, (java.lang.Comparable)1);
    java.lang.Object obj9 = defaultKeyedValues2D1.clone();
    int i11 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)"org.jfree.data.UnknownKeyException: ");
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeColumn(1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-1));

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test327"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)100, 10.0d);
    defaultKeyedValues0.setValue((java.lang.Comparable)100.0f, 100.0d);
    java.lang.Number number12 = null;
    defaultKeyedValues0.setValue((java.lang.Comparable)10, number12);
    java.lang.Comparable comparable14 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i15 = defaultKeyedValues0.getIndex(comparable14);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test328"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    int i6 = defaultKeyedValues0.getIndex((java.lang.Comparable)10);
    defaultKeyedValues0.setValue((java.lang.Comparable)1, (java.lang.Number)1L);
    java.util.List list10 = defaultKeyedValues0.getKeys();
    defaultKeyedValues0.clear();
    defaultKeyedValues0.insertValue(0, (java.lang.Comparable)(short)(-1), 10.0d);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number17 = defaultKeyedValues0.getValue((java.lang.Comparable)1);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list10);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test329"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    defaultKeyedValues0.clear();
    defaultKeyedValues0.addValue((java.lang.Comparable)10.0f, 0.0d);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.removeValue(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test330"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    int i1 = defaultKeyedValues0.getItemCount();
    org.jfree.chart.util.SortOrder sortOrder2 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.sortByValues(sortOrder2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test331"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    defaultKeyedValues2D1.clear();
    int i8 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)false);
    defaultKeyedValues2D1.clear();
    int i10 = defaultKeyedValues2D1.getColumnCount();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable12 = defaultKeyedValues2D1.getColumnKey(3);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test332"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(false);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    int i5 = defaultKeyedValues2D1.getRowIndex((java.lang.Comparable)"NOID");
    java.util.List list6 = defaultKeyedValues2D1.getRowKeys();
    int i8 = defaultKeyedValues2D1.getRowIndex((java.lang.Comparable)"org.jfree.data.UnknownKeyException: hi!");
    java.lang.Comparable comparable10 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.addValue((java.lang.Number)0L, comparable10, (java.lang.Comparable)' ');
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test333"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    defaultKeyedValues2D1.clear();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable7 = defaultKeyedValues2D1.getRowKey(3);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test334"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)(short)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    int i5 = defaultKeyedValues2D1.getRowCount();
    int i6 = defaultKeyedValues2D1.getColumnCount();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number9 = defaultKeyedValues2D1.getValue((java.lang.Comparable)(short)100, (java.lang.Comparable)(byte)(-1));
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test335"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    java.util.List list8 = defaultCategoryDataset2.getRowKeys();
    int i10 = defaultCategoryDataset2.getRowIndex((java.lang.Comparable)(short)10);
    java.lang.Object obj11 = defaultCategoryDataset2.clone();
    int i12 = defaultCategoryDataset2.getRowCount();
    defaultCategoryDataset2.setValue(10.0d, (java.lang.Comparable)"org.jfree.data.UnknownKeyException: hi!", (java.lang.Comparable)3);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable18 = defaultCategoryDataset2.getRowKey(1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test336"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    int i4 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)10);
    java.util.List list5 = defaultCategoryDataset0.getRowKeys();
    defaultCategoryDataset0.validateObject();
    int i7 = defaultCategoryDataset0.getRowCount();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable9 = defaultCategoryDataset0.getRowKey(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test337"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    org.jfree.data.UnknownKeyException unknownKeyException3 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset4 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup5 = defaultCategoryDataset4.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent6 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException3, (org.jfree.data.general.Dataset)defaultCategoryDataset4);
    boolean b7 = defaultCategoryDataset0.equals((java.lang.Object)defaultCategoryDataset4);
    java.util.List list8 = defaultCategoryDataset0.getColumnKeys();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener9 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener9);
    defaultCategoryDataset0.addValue(10.0d, (java.lang.Comparable)(byte)0, (java.lang.Comparable)10.0d);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeColumn(100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list8);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test338"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    defaultKeyedValues0.setValue((java.lang.Comparable)10, (java.lang.Number)(short)100);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)0, 0.0d);
    java.util.List list11 = defaultKeyedValues0.getKeys();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.removeValue((java.lang.Comparable)(-1L));
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list11);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test339"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    int i6 = defaultKeyedValues0.getIndex((java.lang.Comparable)10);
    defaultKeyedValues0.setValue((java.lang.Comparable)1, (java.lang.Number)1L);
    int i10 = defaultKeyedValues0.getItemCount();
    defaultKeyedValues0.setValue((java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=1.0]", 1.0d);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable15 = defaultKeyedValues0.getKey(3);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test340"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)(short)(-1), (java.lang.Comparable)(short)10, (java.lang.Comparable)(-1.0d));
    java.lang.Comparable comparable10 = defaultKeyedValues2D1.getColumnKey(0);
    java.lang.Object obj11 = defaultKeyedValues2D1.clone();
    // The following exception was thrown during execution in test generation
    try {
      int i13 = defaultKeyedValues2D1.getRowIndex((java.lang.Comparable)'4');
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable10 + "' != '" + (-1.0d)+ "'", comparable10.equals((-1.0d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test341"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)(short)(-1), (java.lang.Comparable)(short)10, (java.lang.Comparable)(-1.0d));
    java.lang.Object obj9 = defaultKeyedValues2D1.clone();
    java.lang.Object obj10 = defaultKeyedValues2D1.clone();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeValue((java.lang.Comparable)"", (java.lang.Comparable)(short)1);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj10);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test342"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)(short)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    int i5 = defaultKeyedValues2D1.getRowCount();
    int i6 = defaultKeyedValues2D1.getColumnCount();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeColumn(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test343"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.removeValue((java.lang.Comparable)"org.jfree.data.UnknownKeyException: org.jfree.data.UnknownKeyException: ");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test344"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    org.jfree.data.UnknownKeyException unknownKeyException3 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset4 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup5 = defaultCategoryDataset4.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent6 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException3, (org.jfree.data.general.Dataset)defaultCategoryDataset4);
    boolean b7 = defaultCategoryDataset0.equals((java.lang.Object)defaultCategoryDataset4);
    java.util.List list8 = defaultCategoryDataset0.getColumnKeys();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener9 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener9);
    defaultCategoryDataset0.addValue(10.0d, (java.lang.Comparable)(byte)0, (java.lang.Comparable)10.0d);
    defaultCategoryDataset0.validateObject();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.incrementValue(10.0d, (java.lang.Comparable)100L, (java.lang.Comparable)(byte)100);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list8);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test345"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    int i4 = defaultCategoryDataset0.getColumnIndex((java.lang.Comparable)(short)1);
    int i6 = defaultCategoryDataset0.getColumnIndex((java.lang.Comparable)(short)100);
    defaultCategoryDataset0.validateObject();
    java.util.List list8 = defaultCategoryDataset0.getColumnKeys();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeRow((java.lang.Comparable)(byte)10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list8);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test346"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    int i4 = defaultCategoryDataset0.getColumnIndex((java.lang.Comparable)(short)1);
    int i6 = defaultCategoryDataset0.getColumnIndex((java.lang.Comparable)(short)100);
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset7 = new org.jfree.data.category.DefaultCategoryDataset();
    int i8 = defaultCategoryDataset7.getRowCount();
    defaultCategoryDataset7.validateObject();
    int i10 = defaultCategoryDataset7.getColumnCount();
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset11 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup12 = defaultCategoryDataset11.getGroup();
    defaultCategoryDataset7.setGroup(datasetGroup12);
    java.lang.Object obj14 = datasetGroup12.clone();
    boolean b15 = defaultCategoryDataset0.equals((java.lang.Object)datasetGroup12);
    java.lang.Comparable comparable16 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeRow(comparable16);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test347"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    java.util.List list2 = defaultCategoryDataset0.getColumnKeys();
    int i4 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)(-1.0d));
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number7 = defaultCategoryDataset0.getValue((java.lang.Comparable)0.0d, (java.lang.Comparable)(short)0);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test348"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)(short)0);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeRow((java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=1.0]");
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test349"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)1.0d, (java.lang.Comparable)0.0d, (java.lang.Comparable)1);
    java.lang.Object obj9 = defaultKeyedValues2D1.clone();
    int i11 = defaultKeyedValues2D1.getRowIndex((java.lang.Comparable)(-1.0d));
    // The following exception was thrown during execution in test generation
    try {
      int i13 = defaultKeyedValues2D1.getRowIndex((java.lang.Comparable)(byte)1);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-1));

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test350"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    int i4 = defaultCategoryDataset0.getColumnIndex((java.lang.Comparable)(short)1);
    int i6 = defaultCategoryDataset0.getColumnIndex((java.lang.Comparable)(short)100);
    defaultCategoryDataset0.validateObject();
    java.util.List list8 = defaultCategoryDataset0.getRowKeys();
    java.lang.Comparable comparable9 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeColumn(comparable9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list8);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test351"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)(short)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number7 = defaultKeyedValues2D1.getValue(100, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test352"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("");
    java.lang.Throwable[] throwable_array2 = unknownKeyException1.getSuppressed();
    org.jfree.data.UnknownKeyException unknownKeyException4 = new org.jfree.data.UnknownKeyException("hi!");
    unknownKeyException1.addSuppressed((java.lang.Throwable)unknownKeyException4);
    java.lang.Throwable[] throwable_array6 = unknownKeyException4.getSuppressed();
    org.jfree.data.UnknownKeyException unknownKeyException8 = new org.jfree.data.UnknownKeyException("");
    java.lang.Throwable[] throwable_array9 = unknownKeyException8.getSuppressed();
    org.jfree.data.UnknownKeyException unknownKeyException11 = new org.jfree.data.UnknownKeyException("hi!");
    unknownKeyException8.addSuppressed((java.lang.Throwable)unknownKeyException11);
    java.lang.Throwable[] throwable_array13 = unknownKeyException11.getSuppressed();
    unknownKeyException4.addSuppressed((java.lang.Throwable)unknownKeyException11);
    java.lang.Throwable[] throwable_array15 = unknownKeyException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test353"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener2 = null;
    defaultCategoryDataset0.addChangeListener(datasetChangeListener2);
    org.jfree.data.general.DatasetGroup datasetGroup4 = defaultCategoryDataset0.getGroup();
    defaultCategoryDataset0.addValue((-1.0d), (java.lang.Comparable)(-1.0f), (java.lang.Comparable)0.0f);
    defaultCategoryDataset0.addValue((java.lang.Number)(short)0, (java.lang.Comparable)(-1.0d), (java.lang.Comparable)(-1.0f));
    defaultCategoryDataset0.addValue(1.0d, (java.lang.Comparable)(-1L), (java.lang.Comparable)(-1.0f));
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable18 = defaultCategoryDataset0.getRowKey(100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup4);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test354"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D0 = new org.jfree.data.DefaultKeyedValues2D();
    int i2 = defaultKeyedValues2D0.getRowIndex((java.lang.Comparable)100L);
    defaultKeyedValues2D0.removeValue((java.lang.Comparable)(byte)10, (java.lang.Comparable)0.0f);
    java.lang.Comparable comparable6 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D0.removeColumn(comparable6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test355"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 0.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)10, (java.lang.Number)100);
    int i7 = defaultKeyedValues0.getItemCount();
    org.jfree.data.general.DatasetGroup datasetGroup8 = new org.jfree.data.general.DatasetGroup();
    java.lang.Object obj9 = datasetGroup8.clone();
    boolean b10 = defaultKeyedValues0.equals(obj9);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable12 = defaultKeyedValues0.getKey(2);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test356"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    int i5 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)' ');
    org.jfree.data.general.DatasetChangeListener datasetChangeListener6 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener6);
    defaultCategoryDataset0.clear();
    int i9 = defaultCategoryDataset0.getRowCount();
    int i10 = defaultCategoryDataset0.getColumnCount();
    java.util.EventListener eventListener11 = null;
    boolean b12 = defaultCategoryDataset0.hasListener(eventListener11);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeRow((java.lang.Comparable)100.0f);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test357"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    defaultKeyedValues2D1.setValue((java.lang.Number)(-1), (java.lang.Comparable)10, (java.lang.Comparable)10.0d);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number11 = defaultKeyedValues2D1.getValue((-1), 1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test358"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    int i4 = defaultCategoryDataset0.getColumnIndex((java.lang.Comparable)(short)1);
    int i6 = defaultCategoryDataset0.getColumnIndex((java.lang.Comparable)(short)100);
    defaultCategoryDataset0.validateObject();
    java.lang.Comparable comparable10 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.addValue(100.0d, (java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]", comparable10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test359"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    int i8 = defaultCategoryDataset2.getColumnCount();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.incrementValue(1.0d, (java.lang.Comparable)(-1L), (java.lang.Comparable)(byte)1);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test360"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    defaultKeyedValues0.clear();
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset6 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup7 = defaultCategoryDataset6.getGroup();
    java.lang.String str8 = datasetGroup7.getID();
    boolean b9 = defaultKeyedValues0.equals((java.lang.Object)datasetGroup7);
    defaultKeyedValues0.addValue((java.lang.Comparable)10.0d, (java.lang.Number)100);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number14 = defaultKeyedValues0.getValue((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "NOID"+ "'", str8.equals("NOID"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test361"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    int i6 = defaultKeyedValues0.getIndex((java.lang.Comparable)10);
    defaultKeyedValues0.setValue((java.lang.Comparable)1, (java.lang.Number)1L);
    int i11 = defaultKeyedValues0.getIndex((java.lang.Comparable)true);
    java.util.List list12 = defaultKeyedValues0.getKeys();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number14 = defaultKeyedValues0.getValue((java.lang.Comparable)(byte)100);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list12);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test362"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    int i4 = defaultCategoryDataset0.getColumnIndex((java.lang.Comparable)(short)1);
    defaultCategoryDataset0.addValue(10.0d, (java.lang.Comparable)(short)0, (java.lang.Comparable)2);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable10 = defaultCategoryDataset0.getColumnKey(3);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test363"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    defaultCategoryDataset2.removeValue((java.lang.Comparable)1, (java.lang.Comparable)(byte)100);
    java.lang.Object obj11 = defaultCategoryDataset2.clone();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.removeRow(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test364"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    int i4 = defaultCategoryDataset0.getColumnIndex((java.lang.Comparable)(short)1);
    java.util.List list5 = defaultCategoryDataset0.getColumnKeys();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeRow((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list5);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test365"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 0.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)10, (java.lang.Number)100);
    defaultKeyedValues0.addValue((java.lang.Comparable)"", (java.lang.Number)10);
    defaultKeyedValues0.addValue((java.lang.Comparable)(short)(-1), (java.lang.Number)100L);
    java.lang.Object obj13 = defaultKeyedValues0.clone();
    int i14 = defaultKeyedValues0.getItemCount();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.insertValue((-1), (java.lang.Comparable)0.0f, 100.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 3);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test366"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(false);
    defaultKeyedValues2D1.setValue((java.lang.Number)100, (java.lang.Comparable)0L, (java.lang.Comparable)10);
    int i6 = defaultKeyedValues2D1.getRowCount();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number9 = defaultKeyedValues2D1.getValue((java.lang.Comparable)10.0d, (java.lang.Comparable)0L);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test367"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    defaultCategoryDataset2.setValue(100.0d, (java.lang.Comparable)100L, (java.lang.Comparable)(short)10);
    defaultCategoryDataset2.setValue(10.0d, (java.lang.Comparable)(short)100, (java.lang.Comparable)"");
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable17 = defaultCategoryDataset2.getRowKey((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test368"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener2 = null;
    defaultCategoryDataset0.addChangeListener(datasetChangeListener2);
    org.jfree.data.general.DatasetGroup datasetGroup4 = defaultCategoryDataset0.getGroup();
    java.util.EventListener eventListener5 = null;
    boolean b6 = defaultCategoryDataset0.hasListener(eventListener5);
    java.util.List list7 = defaultCategoryDataset0.getRowKeys();
    java.lang.Comparable comparable9 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number10 = defaultCategoryDataset0.getValue((java.lang.Comparable)1.0d, comparable9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list7);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test369"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)0.0f, (java.lang.Number)(-1L));
    defaultKeyedValues0.setValue((java.lang.Comparable)(byte)1, 0.0d);
    org.jfree.chart.util.SortOrder sortOrder7 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.sortByKeys(sortOrder7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test370"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    int i4 = defaultCategoryDataset0.getColumnIndex((java.lang.Comparable)(short)1);
    defaultCategoryDataset0.clear();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener6 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener6);
    java.lang.Comparable comparable9 = null;
    java.lang.Comparable comparable10 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.setValue(1.0d, comparable9, comparable10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test371"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D0 = new org.jfree.data.DefaultKeyedValues2D();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D0.removeRow(100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test372"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)(short)(-1), (java.lang.Comparable)(short)10, (java.lang.Comparable)(-1.0d));
    defaultKeyedValues2D1.removeRow(0);
    java.lang.Object obj11 = defaultKeyedValues2D1.clone();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeRow(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test373"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    defaultCategoryDataset2.removeValue((java.lang.Comparable)1, (java.lang.Comparable)(byte)100);
    java.lang.Object obj11 = defaultCategoryDataset2.clone();
    defaultCategoryDataset2.addValue((java.lang.Number)(short)100, (java.lang.Comparable)'a', (java.lang.Comparable)"");
    int i16 = defaultCategoryDataset2.getRowCount();
    java.util.List list17 = defaultCategoryDataset2.getRowKeys();
    defaultCategoryDataset2.clear();
    defaultCategoryDataset2.removeValue((java.lang.Comparable)100L, (java.lang.Comparable)'#');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list17);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test374"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(false);
    java.lang.Number number2 = null;
    defaultKeyedValues2D1.addValue(number2, (java.lang.Comparable)10.0f, (java.lang.Comparable)0.0f);
    java.lang.Comparable comparable8 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.setValue((java.lang.Number)0.0d, (java.lang.Comparable)(short)0, comparable8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test375"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    java.util.List list2 = defaultCategoryDataset0.getColumnKeys();
    defaultCategoryDataset0.removeValue((java.lang.Comparable)10.0d, (java.lang.Comparable)(byte)(-1));
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable7 = defaultCategoryDataset0.getRowKey(3);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list2);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test376"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    defaultKeyedValues0.setValue((java.lang.Comparable)10, (java.lang.Number)(short)100);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)0, 0.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)"org.jfree.data.UnknownKeyException: hi!", 100.0d);
    int i15 = defaultKeyedValues0.getIndex((java.lang.Comparable)100);
    java.lang.Comparable comparable16 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.addValue(comparable16, (java.lang.Number)100L);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == (-1));

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test377"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeColumn((java.lang.Comparable)(-1.0d));
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test378"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    int i6 = defaultKeyedValues0.getIndex((java.lang.Comparable)10);
    defaultKeyedValues0.setValue((java.lang.Comparable)1, (java.lang.Number)1L);
    int i10 = defaultKeyedValues0.getItemCount();
    java.util.List list11 = defaultKeyedValues0.getKeys();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.insertValue(2, (java.lang.Comparable)100.0f, 100.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list11);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test379"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    defaultCategoryDataset0.clear();
    defaultCategoryDataset0.addValue(100.0d, (java.lang.Comparable)' ', (java.lang.Comparable)(byte)1);
    java.lang.Comparable comparable7 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeValue((java.lang.Comparable)100, comparable7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test380"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    defaultCategoryDataset2.removeValue((java.lang.Comparable)1, (java.lang.Comparable)(byte)100);
    java.lang.Object obj11 = defaultCategoryDataset2.clone();
    defaultCategoryDataset2.addValue((java.lang.Number)(short)100, (java.lang.Comparable)'a', (java.lang.Comparable)"");
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number18 = defaultCategoryDataset2.getValue(10, 2);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test381"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    java.util.List list4 = defaultCategoryDataset0.getRowKeys();
    java.util.EventListener eventListener5 = null;
    boolean b6 = defaultCategoryDataset0.hasListener(eventListener5);
    java.util.EventListener eventListener7 = null;
    boolean b8 = defaultCategoryDataset0.hasListener(eventListener7);
    java.lang.Comparable comparable11 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.addValue(0.0d, (java.lang.Comparable)(byte)100, comparable11);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test382"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)(short)(-1), (java.lang.Comparable)(short)10, (java.lang.Comparable)(-1.0d));
    java.lang.Object obj9 = defaultKeyedValues2D1.clone();
    java.lang.Object obj10 = defaultKeyedValues2D1.clone();
    defaultKeyedValues2D1.removeRow(0);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)10.0f, (java.lang.Comparable)"hi!");
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number18 = defaultKeyedValues2D1.getValue((java.lang.Comparable)0, (java.lang.Comparable)2);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj10);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test383"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)1.0d, (java.lang.Comparable)0.0d, (java.lang.Comparable)1);
    java.lang.Object obj9 = defaultKeyedValues2D1.clone();
    int i11 = defaultKeyedValues2D1.getRowIndex((java.lang.Comparable)(-1.0d));
    int i13 = defaultKeyedValues2D1.getRowIndex((java.lang.Comparable)(-1.0d));
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeColumn((java.lang.Comparable)'a');
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test384"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    int i4 = defaultCategoryDataset0.getColumnIndex((java.lang.Comparable)(short)1);
    defaultCategoryDataset0.clear();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener6 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener6);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number10 = defaultCategoryDataset0.getValue((java.lang.Comparable)1.0d, (java.lang.Comparable)false);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test385"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(false);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    int i5 = defaultKeyedValues2D1.getRowIndex((java.lang.Comparable)"NOID");
    java.util.List list6 = defaultKeyedValues2D1.getRowKeys();
    int i8 = defaultKeyedValues2D1.getRowIndex((java.lang.Comparable)"org.jfree.data.UnknownKeyException: hi!");
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable10 = defaultKeyedValues2D1.getRowKey(1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test386"); }


    java.lang.Object obj0 = null;
    org.jfree.data.general.Dataset dataset1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.general.DatasetChangeEvent datasetChangeEvent2 = new org.jfree.data.general.DatasetChangeEvent(obj0, dataset1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test387"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    java.lang.String str2 = datasetGroup1.getID();
    java.lang.String str3 = datasetGroup1.getID();
    org.jfree.data.DefaultKeyedValues defaultKeyedValues4 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues4.addValue((java.lang.Comparable)100.0f, (java.lang.Number)100.0d);
    java.lang.Object obj8 = defaultKeyedValues4.clone();
    boolean b9 = datasetGroup1.equals((java.lang.Object)defaultKeyedValues4);
    int i10 = defaultKeyedValues4.getItemCount();
    java.lang.Comparable comparable11 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues4.addValue(comparable11, (java.lang.Number)10L);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "NOID"+ "'", str2.equals("NOID"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "NOID"+ "'", str3.equals("NOID"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test388"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    defaultKeyedValues0.setValue((java.lang.Comparable)10, (java.lang.Number)(short)100);
    defaultKeyedValues0.setValue((java.lang.Comparable)(-1.0d), (java.lang.Number)10.0d);
    java.util.List list11 = defaultKeyedValues0.getKeys();
    org.jfree.chart.util.SortOrder sortOrder12 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.sortByValues(sortOrder12);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list11);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test389"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    int i5 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)' ');
    java.lang.Object obj6 = defaultCategoryDataset0.clone();
    boolean b8 = defaultCategoryDataset0.equals((java.lang.Object)(short)1);
    defaultCategoryDataset0.setValue(0.0d, (java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]", (java.lang.Comparable)(short)0);
    java.util.EventListener eventListener13 = null;
    boolean b14 = defaultCategoryDataset0.hasListener(eventListener13);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable16 = defaultCategoryDataset0.getRowKey(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test390"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener2 = null;
    defaultCategoryDataset0.addChangeListener(datasetChangeListener2);
    org.jfree.data.general.DatasetGroup datasetGroup4 = defaultCategoryDataset0.getGroup();
    java.util.EventListener eventListener5 = null;
    boolean b6 = defaultCategoryDataset0.hasListener(eventListener5);
    defaultCategoryDataset0.clear();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeColumn((java.lang.Comparable)1L);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test391"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    org.jfree.data.UnknownKeyException unknownKeyException3 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset4 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup5 = defaultCategoryDataset4.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent6 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException3, (org.jfree.data.general.Dataset)defaultCategoryDataset4);
    boolean b7 = defaultCategoryDataset0.equals((java.lang.Object)defaultCategoryDataset4);
    int i8 = defaultCategoryDataset4.getColumnCount();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener9 = null;
    defaultCategoryDataset4.addChangeListener(datasetChangeListener9);
    int i12 = defaultCategoryDataset4.getRowIndex((java.lang.Comparable)(byte)1);
    defaultCategoryDataset4.clear();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable15 = defaultCategoryDataset4.getRowKey(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-1));

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test392"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    org.jfree.data.UnknownKeyException unknownKeyException3 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset4 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup5 = defaultCategoryDataset4.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent6 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException3, (org.jfree.data.general.Dataset)defaultCategoryDataset4);
    boolean b7 = defaultCategoryDataset0.equals((java.lang.Object)defaultCategoryDataset4);
    int i8 = defaultCategoryDataset0.getRowCount();
    int i9 = defaultCategoryDataset0.getColumnCount();
    defaultCategoryDataset0.validateObject();
    defaultCategoryDataset0.removeValue((java.lang.Comparable)0.0d, (java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.Comparable comparable16 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.setValue((-1.0d), (java.lang.Comparable)true, comparable16);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test393"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    int i5 = defaultKeyedValues0.getItemCount();
    defaultKeyedValues0.setValue((java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=1.0]", 100.0d);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number10 = defaultKeyedValues0.getValue(3);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test394"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    int i4 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)10);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable6 = defaultCategoryDataset0.getRowKey((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test395"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    int i3 = defaultCategoryDataset0.getColumnCount();
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset4 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup5 = defaultCategoryDataset4.getGroup();
    defaultCategoryDataset0.setGroup(datasetGroup5);
    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D8 = new org.jfree.data.DefaultKeyedValues2D(false);
    int i10 = defaultKeyedValues2D8.getColumnIndex((java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    int i12 = defaultKeyedValues2D8.getRowIndex((java.lang.Comparable)"NOID");
    boolean b13 = datasetGroup5.equals((java.lang.Object)defaultKeyedValues2D8);
    java.lang.Comparable comparable14 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i15 = defaultKeyedValues2D8.getColumnIndex(comparable14);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test396"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)(short)(-1), (java.lang.Comparable)(short)10, (java.lang.Comparable)(-1.0d));
    java.lang.Comparable comparable10 = defaultKeyedValues2D1.getColumnKey(0);
    java.lang.Comparable comparable11 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i12 = defaultKeyedValues2D1.getColumnIndex(comparable11);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable10 + "' != '" + (-1.0d)+ "'", comparable10.equals((-1.0d)));

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test397"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    int i6 = defaultKeyedValues0.getIndex((java.lang.Comparable)10);
    defaultKeyedValues0.setValue((java.lang.Comparable)1, (java.lang.Number)1L);
    org.jfree.chart.util.SortOrder sortOrder10 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.sortByValues(sortOrder10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test398"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    int i5 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)' ');
    org.jfree.data.general.DatasetChangeListener datasetChangeListener6 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener6);
    defaultCategoryDataset0.clear();
    int i9 = defaultCategoryDataset0.getRowCount();
    int i10 = defaultCategoryDataset0.getColumnCount();
    java.util.EventListener eventListener11 = null;
    boolean b12 = defaultCategoryDataset0.hasListener(eventListener11);
    int i13 = defaultCategoryDataset0.getRowCount();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeRow(3);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test399"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    defaultCategoryDataset0.clear();
    java.util.EventListener eventListener2 = null;
    boolean b3 = defaultCategoryDataset0.hasListener(eventListener2);
    int i5 = defaultCategoryDataset0.getColumnIndex((java.lang.Comparable)(byte)1);
    defaultCategoryDataset0.addValue(100.0d, (java.lang.Comparable)100, (java.lang.Comparable)"org.jfree.data.UnknownKeyException: org.jfree.data.UnknownKeyException: ");
    java.util.List list10 = defaultCategoryDataset0.getRowKeys();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeRow((java.lang.Comparable)(short)100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list10);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test400"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener2 = null;
    defaultCategoryDataset0.addChangeListener(datasetChangeListener2);
    defaultCategoryDataset0.setValue((java.lang.Number)(-1.0f), (java.lang.Comparable)(byte)100, (java.lang.Comparable)(byte)10);
    java.lang.Comparable comparable9 = defaultCategoryDataset0.getRowKey(0);
    java.lang.Comparable comparable11 = defaultCategoryDataset0.getColumnKey(0);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeColumn(1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable9 + "' != '" + (byte)100+ "'", comparable9.equals((byte)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable11 + "' != '" + (byte)10+ "'", comparable11.equals((byte)10));

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test401"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    int i6 = defaultKeyedValues2D1.getRowIndex((java.lang.Comparable)0.0d);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number9 = defaultKeyedValues2D1.getValue(1, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test402"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.addValue((java.lang.Comparable)100.0f, (java.lang.Number)100.0d);
    org.jfree.chart.util.SortOrder sortOrder4 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.sortByValues(sortOrder4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test403"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    defaultCategoryDataset2.removeValue((java.lang.Comparable)1, (java.lang.Comparable)(byte)100);
    java.lang.Object obj11 = defaultCategoryDataset2.clone();
    defaultCategoryDataset2.addValue((java.lang.Number)(short)100, (java.lang.Comparable)'a', (java.lang.Comparable)"");
    defaultCategoryDataset2.clear();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.removeColumn(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test404"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    defaultKeyedValues2D1.clear();
    int i8 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)false);
    defaultKeyedValues2D1.clear();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number12 = defaultKeyedValues2D1.getValue(3, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test405"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    defaultKeyedValues2D1.clear();
    int i8 = defaultKeyedValues2D1.getRowIndex((java.lang.Comparable)(short)(-1));
    defaultKeyedValues2D1.setValue((java.lang.Number)(-1), (java.lang.Comparable)"org.jfree.data.UnknownKeyException: ", (java.lang.Comparable)(short)(-1));
    int i13 = defaultKeyedValues2D1.getRowCount();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable15 = defaultKeyedValues2D1.getRowKey(100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test406"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener2 = null;
    defaultCategoryDataset0.addChangeListener(datasetChangeListener2);
    org.jfree.data.general.DatasetGroup datasetGroup4 = defaultCategoryDataset0.getGroup();
    java.util.EventListener eventListener5 = null;
    boolean b6 = defaultCategoryDataset0.hasListener(eventListener5);
    java.util.List list7 = defaultCategoryDataset0.getColumnKeys();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener8 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener8);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeColumn(3);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list7);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test407"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(false);
    defaultKeyedValues2D1.setValue((java.lang.Number)100, (java.lang.Comparable)0L, (java.lang.Comparable)10);
    int i6 = defaultKeyedValues2D1.getColumnCount();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number9 = defaultKeyedValues2D1.getValue((java.lang.Comparable)(short)0, (java.lang.Comparable)(short)10);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test408"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    defaultKeyedValues0.setValue((java.lang.Comparable)10, (java.lang.Number)(short)100);
    defaultKeyedValues0.addValue((java.lang.Comparable)1.0d, 100.0d);
    java.lang.Comparable comparable11 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.removeValue(comparable11);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test409"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    defaultCategoryDataset2.setValue(100.0d, (java.lang.Comparable)100L, (java.lang.Comparable)(short)10);
    defaultCategoryDataset2.clear();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener13 = null;
    defaultCategoryDataset2.removeChangeListener(datasetChangeListener13);
    java.lang.Comparable comparable16 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.incrementValue(1.0d, comparable16, (java.lang.Comparable)1.0f);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test410"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    java.lang.Object obj8 = defaultCategoryDataset2.clone();
    defaultCategoryDataset2.clear();
    int i10 = defaultCategoryDataset2.getColumnCount();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.removeRow((java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=100.0]");
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test411"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener2 = null;
    defaultCategoryDataset0.addChangeListener(datasetChangeListener2);
    defaultCategoryDataset0.setValue((java.lang.Number)(-1.0f), (java.lang.Comparable)(byte)100, (java.lang.Comparable)(byte)10);
    java.lang.Comparable comparable9 = defaultCategoryDataset0.getRowKey(0);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable11 = defaultCategoryDataset0.getRowKey(3);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable9 + "' != '" + (byte)100+ "'", comparable9.equals((byte)100));

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test412"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 0.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)10, (java.lang.Number)100);
    java.lang.Number number8 = defaultKeyedValues0.getValue(0);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable10 = defaultKeyedValues0.getKey(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 0.0d+ "'", number8.equals(0.0d));

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test413"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    defaultKeyedValues2D1.clear();
    java.lang.Comparable comparable7 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i8 = defaultKeyedValues2D1.getRowIndex(comparable7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test414"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    org.jfree.data.DefaultKeyedValues defaultKeyedValues4 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup6 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str7 = datasetGroup6.getID();
    boolean b8 = defaultKeyedValues4.equals((java.lang.Object)str7);
    defaultKeyedValues4.setValue((java.lang.Comparable)10, (java.lang.Number)(short)100);
    defaultKeyedValues4.setValue((java.lang.Comparable)(-1.0d), (java.lang.Number)10.0d);
    java.util.List list15 = defaultKeyedValues4.getKeys();
    boolean b16 = defaultKeyedValues2D1.equals((java.lang.Object)defaultKeyedValues4);
    defaultKeyedValues2D1.clear();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeRow(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str7.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test415"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    int i5 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)' ');
    java.lang.Object obj6 = defaultCategoryDataset0.clone();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener7 = null;
    defaultCategoryDataset0.addChangeListener(datasetChangeListener7);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeColumn((java.lang.Comparable)"");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj6);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test416"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)0.0f, (java.lang.Number)(-1L));
    defaultKeyedValues0.setValue((java.lang.Comparable)100, (java.lang.Number)100);
    org.jfree.data.DefaultKeyedValues defaultKeyedValues7 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues7.setValue((java.lang.Comparable)"", 0.0d);
    defaultKeyedValues7.addValue((java.lang.Comparable)(byte)10, (java.lang.Number)100);
    defaultKeyedValues7.addValue((java.lang.Comparable)"", (java.lang.Number)10);
    defaultKeyedValues7.insertValue(2, (java.lang.Comparable)(short)0, (java.lang.Number)(short)(-1));
    boolean b21 = defaultKeyedValues0.equals((java.lang.Object)(short)0);
    org.jfree.chart.util.SortOrder sortOrder22 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.sortByKeys(sortOrder22);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test417"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    java.util.EventListener eventListener2 = null;
    boolean b3 = defaultCategoryDataset0.hasListener(eventListener2);
    defaultCategoryDataset0.addValue(100.0d, (java.lang.Comparable)(-1.0d), (java.lang.Comparable)1.0f);
    org.jfree.data.UnknownKeyException unknownKeyException9 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset10 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup11 = defaultCategoryDataset10.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent12 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException9, (org.jfree.data.general.Dataset)defaultCategoryDataset10);
    defaultCategoryDataset10.validateObject();
    int i15 = defaultCategoryDataset10.getColumnIndex((java.lang.Comparable)10.0f);
    defaultCategoryDataset10.removeValue((java.lang.Comparable)1, (java.lang.Comparable)(byte)100);
    java.lang.Object obj19 = defaultCategoryDataset10.clone();
    boolean b20 = defaultCategoryDataset0.equals((java.lang.Object)defaultCategoryDataset10);
    defaultCategoryDataset10.addValue((java.lang.Number)(byte)(-1), (java.lang.Comparable)false, (java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.Comparable comparable25 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset10.removeColumn(comparable25);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test418"); }


    java.lang.Object obj0 = null;
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset1 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup2 = defaultCategoryDataset1.getGroup();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener3 = null;
    defaultCategoryDataset1.addChangeListener(datasetChangeListener3);
    org.jfree.data.general.DatasetGroup datasetGroup6 = new org.jfree.data.general.DatasetGroup("org.jfree.data.UnknownKeyException: hi!");
    defaultCategoryDataset1.setGroup(datasetGroup6);
    java.lang.Object obj8 = defaultCategoryDataset1.clone();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.general.DatasetChangeEvent datasetChangeEvent9 = new org.jfree.data.general.DatasetChangeEvent(obj0, (org.jfree.data.general.Dataset)defaultCategoryDataset1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj8);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test419"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    int i1 = defaultKeyedValues0.getItemCount();
    defaultKeyedValues0.insertValue(0, (java.lang.Comparable)10, 10.0d);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.removeValue((java.lang.Comparable)100.0d);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test420"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    int i5 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)' ');
    org.jfree.data.general.DatasetChangeListener datasetChangeListener6 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener6);
    defaultCategoryDataset0.clear();
    int i9 = defaultCategoryDataset0.getRowCount();
    int i10 = defaultCategoryDataset0.getRowCount();
    int i11 = defaultCategoryDataset0.getColumnCount();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number14 = defaultCategoryDataset0.getValue(0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test421"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    int i5 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)' ');
    org.jfree.data.general.DatasetChangeListener datasetChangeListener6 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener6);
    defaultCategoryDataset0.clear();
    java.lang.Number number9 = null;
    defaultCategoryDataset0.setValue(number9, (java.lang.Comparable)10L, (java.lang.Comparable)(byte)0);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeRow(2);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test422"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)(short)(-1), (java.lang.Comparable)(short)10, (java.lang.Comparable)(-1.0d));
    int i9 = defaultKeyedValues2D1.getColumnCount();
    org.jfree.data.DefaultKeyedValues defaultKeyedValues10 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup12 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str13 = datasetGroup12.getID();
    boolean b14 = defaultKeyedValues10.equals((java.lang.Object)str13);
    int i16 = defaultKeyedValues10.getIndex((java.lang.Comparable)10);
    defaultKeyedValues10.setValue((java.lang.Comparable)1, (java.lang.Number)1L);
    int i21 = defaultKeyedValues10.getIndex((java.lang.Comparable)true);
    boolean b22 = defaultKeyedValues2D1.equals((java.lang.Object)defaultKeyedValues10);
    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D24 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D24.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj28 = defaultKeyedValues2D24.clone();
    defaultKeyedValues2D24.clear();
    int i31 = defaultKeyedValues2D24.getColumnIndex((java.lang.Comparable)false);
    org.jfree.data.UnknownKeyException unknownKeyException33 = new org.jfree.data.UnknownKeyException("");
    java.lang.Throwable[] throwable_array34 = unknownKeyException33.getSuppressed();
    java.lang.Throwable[] throwable_array35 = unknownKeyException33.getSuppressed();
    boolean b36 = defaultKeyedValues2D24.equals((java.lang.Object)unknownKeyException33);
    boolean b37 = defaultKeyedValues10.equals((java.lang.Object)defaultKeyedValues2D24);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number40 = defaultKeyedValues2D24.getValue((java.lang.Comparable)'a', (java.lang.Comparable)'#');
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str13.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test423"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    defaultCategoryDataset0.setValue(1.0d, (java.lang.Comparable)3, (java.lang.Comparable)'#');
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeRow(2);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test424"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)(short)(-1), (java.lang.Comparable)(short)10, (java.lang.Comparable)(-1.0d));
    int i9 = defaultKeyedValues2D1.getColumnCount();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable11 = defaultKeyedValues2D1.getColumnKey(3);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test425"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    int i4 = defaultCategoryDataset0.getColumnIndex((java.lang.Comparable)(short)1);
    int i6 = defaultCategoryDataset0.getColumnIndex((java.lang.Comparable)(short)100);
    defaultCategoryDataset0.removeValue((java.lang.Comparable)"NOID", (java.lang.Comparable)(byte)(-1));
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable11 = defaultCategoryDataset0.getRowKey(1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test426"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    int i4 = defaultCategoryDataset0.getColumnIndex((java.lang.Comparable)(short)1);
    int i6 = defaultCategoryDataset0.getColumnIndex((java.lang.Comparable)(short)100);
    defaultCategoryDataset0.validateObject();
    java.util.List list8 = defaultCategoryDataset0.getRowKeys();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeColumn((java.lang.Comparable)(-1.0f));
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list8);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test427"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    int i5 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)' ');
    java.lang.Object obj6 = defaultCategoryDataset0.clone();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener7 = null;
    defaultCategoryDataset0.addChangeListener(datasetChangeListener7);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable10 = defaultCategoryDataset0.getRowKey(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj6);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test428"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(false);
    defaultKeyedValues2D1.setValue((java.lang.Number)100, (java.lang.Comparable)0L, (java.lang.Comparable)10);
    java.lang.Comparable comparable7 = defaultKeyedValues2D1.getRowKey(0);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number10 = defaultKeyedValues2D1.getValue((-1), 2);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable7 + "' != '" + 0L+ "'", comparable7.equals(0L));

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test429"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 0.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)10, (java.lang.Number)100);
    defaultKeyedValues0.addValue((java.lang.Comparable)"", (java.lang.Number)10);
    defaultKeyedValues0.addValue((java.lang.Comparable)(short)(-1), (java.lang.Number)100L);
    java.lang.Object obj13 = defaultKeyedValues0.clone();
    int i14 = defaultKeyedValues0.getItemCount();
    java.lang.Number number17 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.insertValue(10, (java.lang.Comparable)(-1), number17);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 3);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test430"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    int i5 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)' ');
    org.jfree.data.general.DatasetChangeListener datasetChangeListener6 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener6);
    defaultCategoryDataset0.clear();
    java.lang.Comparable comparable11 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.addValue((java.lang.Number)1, (java.lang.Comparable)false, comparable11);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test431"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)0.0f, (java.lang.Number)(-1L));
    defaultKeyedValues0.clear();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.removeValue(2);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test432"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)(short)(-1), (java.lang.Comparable)(short)10, (java.lang.Comparable)(-1.0d));
    java.lang.Comparable comparable10 = defaultKeyedValues2D1.getColumnKey(0);
    java.lang.Object obj11 = defaultKeyedValues2D1.clone();
    int i13 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)1.0f);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeRow(3);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable10 + "' != '" + (-1.0d)+ "'", comparable10.equals((-1.0d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test433"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    int i5 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)' ');
    java.util.List list6 = defaultCategoryDataset0.getColumnKeys();
    java.util.List list7 = defaultCategoryDataset0.getColumnKeys();
    int i8 = defaultCategoryDataset0.getRowCount();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number11 = defaultCategoryDataset0.getValue((-1), 2);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test434"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    int i4 = defaultCategoryDataset0.getColumnIndex((java.lang.Comparable)(short)1);
    org.jfree.data.general.DatasetChangeListener datasetChangeListener5 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener5);
    java.lang.Comparable comparable8 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.setValue((-1.0d), comparable8, (java.lang.Comparable)"NOID");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test435"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    int i8 = defaultCategoryDataset2.getColumnCount();
    org.jfree.data.general.DatasetGroup datasetGroup9 = defaultCategoryDataset2.getGroup();
    java.lang.Comparable comparable11 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.addValue((java.lang.Number)0, comparable11, (java.lang.Comparable)10.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup9);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test436"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    org.jfree.data.DefaultKeyedValues defaultKeyedValues4 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup6 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str7 = datasetGroup6.getID();
    boolean b8 = defaultKeyedValues4.equals((java.lang.Object)str7);
    defaultKeyedValues4.setValue((java.lang.Comparable)10, (java.lang.Number)(short)100);
    defaultKeyedValues4.setValue((java.lang.Comparable)(-1.0d), (java.lang.Number)10.0d);
    java.util.List list15 = defaultKeyedValues4.getKeys();
    boolean b16 = defaultKeyedValues2D1.equals((java.lang.Object)defaultKeyedValues4);
    int i18 = defaultKeyedValues4.getIndex((java.lang.Comparable)'a');
    int i19 = defaultKeyedValues4.getItemCount();
    int i21 = defaultKeyedValues4.getIndex((java.lang.Comparable)1L);
    defaultKeyedValues4.setValue((java.lang.Comparable)(byte)10, (java.lang.Number)1.0d);
    int i26 = defaultKeyedValues4.getIndex((java.lang.Comparable)"org.jfree.data.UnknownKeyException: ");
    java.lang.Comparable comparable27 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues4.setValue(comparable27, (java.lang.Number)(byte)100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str7.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == (-1));

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test437"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    defaultCategoryDataset2.removeValue((java.lang.Comparable)1, (java.lang.Comparable)(byte)100);
    java.lang.Object obj11 = defaultCategoryDataset2.clone();
    defaultCategoryDataset2.addValue((java.lang.Number)(short)100, (java.lang.Comparable)'a', (java.lang.Comparable)"");
    int i16 = defaultCategoryDataset2.getRowCount();
    java.util.List list17 = defaultCategoryDataset2.getRowKeys();
    int i18 = defaultCategoryDataset2.getColumnCount();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number21 = defaultCategoryDataset2.getValue((java.lang.Comparable)100.0f, (java.lang.Comparable)1.0f);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test438"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    defaultCategoryDataset2.removeValue((java.lang.Comparable)1, (java.lang.Comparable)(byte)100);
    java.lang.Object obj11 = defaultCategoryDataset2.clone();
    defaultCategoryDataset2.addValue((java.lang.Number)(short)100, (java.lang.Comparable)'a', (java.lang.Comparable)"");
    java.util.EventListener eventListener16 = null;
    boolean b17 = defaultCategoryDataset2.hasListener(eventListener16);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable19 = defaultCategoryDataset2.getRowKey((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test439"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset0.getGroup();
    defaultCategoryDataset0.setValue((-1.0d), (java.lang.Comparable)(short)1, (java.lang.Comparable)'a');
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeColumn(1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test440"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    defaultKeyedValues0.setValue((java.lang.Comparable)"org.jfree.data.UnknownKeyException: ", 0.0d);
    org.jfree.chart.util.SortOrder sortOrder8 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.sortByKeys(sortOrder8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test441"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    int i6 = defaultKeyedValues0.getIndex((java.lang.Comparable)10);
    defaultKeyedValues0.setValue((java.lang.Comparable)1, (java.lang.Number)1L);
    int i11 = defaultKeyedValues0.getIndex((java.lang.Comparable)true);
    java.util.List list12 = defaultKeyedValues0.getKeys();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number14 = defaultKeyedValues0.getValue((java.lang.Comparable)(byte)10);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list12);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test442"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.addValue((java.lang.Comparable)100.0f, (java.lang.Number)100.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)1, (java.lang.Number)(byte)100);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number8 = defaultKeyedValues0.getValue((java.lang.Comparable)"hi!");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test443"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    defaultCategoryDataset2.removeValue((java.lang.Comparable)1, (java.lang.Comparable)(byte)100);
    org.jfree.data.general.DatasetGroup datasetGroup11 = defaultCategoryDataset2.getGroup();
    java.lang.Number number12 = null;
    defaultCategoryDataset2.addValue(number12, (java.lang.Comparable)(short)10, (java.lang.Comparable)2);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number18 = defaultCategoryDataset2.getValue((java.lang.Comparable)(short)1, (java.lang.Comparable)10.0d);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup11);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test444"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    int i4 = defaultCategoryDataset0.getColumnIndex((java.lang.Comparable)(byte)(-1));
    int i6 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)1);
    defaultCategoryDataset0.addValue(10.0d, (java.lang.Comparable)1.0f, (java.lang.Comparable)(short)10);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeColumn(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test445"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)1.0d, (java.lang.Comparable)0.0d, (java.lang.Comparable)1);
    java.lang.Object obj9 = defaultKeyedValues2D1.clone();
    int i11 = defaultKeyedValues2D1.getRowIndex((java.lang.Comparable)(-1.0d));
    java.util.List list12 = defaultKeyedValues2D1.getRowKeys();
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset13 = new org.jfree.data.category.DefaultCategoryDataset();
    int i14 = defaultCategoryDataset13.getRowCount();
    defaultCategoryDataset13.validateObject();
    int i17 = defaultCategoryDataset13.getColumnIndex((java.lang.Comparable)(short)1);
    org.jfree.data.general.DatasetChangeListener datasetChangeListener18 = null;
    defaultCategoryDataset13.removeChangeListener(datasetChangeListener18);
    int i20 = defaultCategoryDataset13.getColumnCount();
    defaultCategoryDataset13.removeValue((java.lang.Comparable)1.0d, (java.lang.Comparable)100.0f);
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent24 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)defaultKeyedValues2D1, (org.jfree.data.general.Dataset)defaultCategoryDataset13);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset13.removeColumn((java.lang.Comparable)(byte)0);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test446"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    defaultCategoryDataset2.removeValue((java.lang.Comparable)1, (java.lang.Comparable)(byte)100);
    java.util.List list11 = defaultCategoryDataset2.getRowKeys();
    defaultCategoryDataset2.setValue((java.lang.Number)(short)100, (java.lang.Comparable)1, (java.lang.Comparable)'#');
    java.util.List list16 = defaultCategoryDataset2.getColumnKeys();
    java.lang.Comparable comparable18 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.removeValue((java.lang.Comparable)100L, comparable18);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list16);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test447"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    defaultKeyedValues2D1.clear();
    int i8 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)false);
    defaultKeyedValues2D1.clear();
    int i11 = defaultKeyedValues2D1.getRowIndex((java.lang.Comparable)(byte)10);
    defaultKeyedValues2D1.clear();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable14 = defaultKeyedValues2D1.getColumnKey((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-1));

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test448"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    defaultCategoryDataset2.removeValue((java.lang.Comparable)1, (java.lang.Comparable)(byte)100);
    java.lang.Object obj11 = defaultCategoryDataset2.clone();
    defaultCategoryDataset2.addValue((java.lang.Number)(short)100, (java.lang.Comparable)'a', (java.lang.Comparable)"");
    defaultCategoryDataset2.clear();
    defaultCategoryDataset2.clear();
    defaultCategoryDataset2.removeValue((java.lang.Comparable)100.0d, (java.lang.Comparable)100.0d);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.incrementValue(1.0d, (java.lang.Comparable)0.0f, (java.lang.Comparable)(short)100);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test449"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset1 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup2 = defaultCategoryDataset1.getGroup();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener3 = null;
    defaultCategoryDataset1.addChangeListener(datasetChangeListener3);
    org.jfree.data.general.DatasetGroup datasetGroup5 = defaultCategoryDataset1.getGroup();
    java.util.EventListener eventListener6 = null;
    boolean b7 = defaultCategoryDataset1.hasListener(eventListener6);
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent8 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)100.0f, (org.jfree.data.general.Dataset)defaultCategoryDataset1);
    java.util.EventListener eventListener9 = null;
    boolean b10 = defaultCategoryDataset1.hasListener(eventListener9);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable12 = defaultCategoryDataset1.getRowKey(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test450"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    defaultCategoryDataset2.removeValue((java.lang.Comparable)1, (java.lang.Comparable)(byte)100);
    org.jfree.data.general.DatasetGroup datasetGroup11 = defaultCategoryDataset2.getGroup();
    java.lang.Number number12 = null;
    defaultCategoryDataset2.addValue(number12, (java.lang.Comparable)(short)10, (java.lang.Comparable)2);
    int i17 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)"org.jfree.data.UnknownKeyException: ");
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.removeRow((java.lang.Comparable)1.0f);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test451"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.addValue((java.lang.Comparable)100.0f, (java.lang.Number)100.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)1, (java.lang.Number)(byte)100);
    defaultKeyedValues0.setValue((java.lang.Comparable)0L, 10.0d);
    java.lang.Object obj10 = defaultKeyedValues0.clone();
    java.lang.Comparable comparable11 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.setValue(comparable11, (java.lang.Number)(short)0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj10);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test452"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    int i5 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)' ');
    org.jfree.data.general.DatasetChangeListener datasetChangeListener6 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener6);
    defaultCategoryDataset0.addValue((java.lang.Number)(short)(-1), (java.lang.Comparable)'#', (java.lang.Comparable)(short)(-1));
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeColumn((java.lang.Comparable)false);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test453"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener2 = null;
    defaultCategoryDataset0.addChangeListener(datasetChangeListener2);
    org.jfree.data.general.DatasetGroup datasetGroup5 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str6 = datasetGroup5.getID();
    defaultCategoryDataset0.setGroup(datasetGroup5);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeColumn(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str6.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test454"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    defaultKeyedValues2D1.setValue((java.lang.Number)(-1), (java.lang.Comparable)10, (java.lang.Comparable)10.0d);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)3, (java.lang.Comparable)(byte)(-1));
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number14 = defaultKeyedValues2D1.getValue(2, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test455"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    defaultCategoryDataset2.removeValue((java.lang.Comparable)1, (java.lang.Comparable)(byte)100);
    java.lang.Object obj11 = defaultCategoryDataset2.clone();
    defaultCategoryDataset2.addValue((java.lang.Number)(short)100, (java.lang.Comparable)'a', (java.lang.Comparable)"");
    defaultCategoryDataset2.clear();
    boolean b18 = defaultCategoryDataset2.equals((java.lang.Object)(-1.0f));
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.removeColumn((java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=1.0]");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test456"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    int i3 = defaultCategoryDataset0.getColumnCount();
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset4 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup5 = defaultCategoryDataset4.getGroup();
    defaultCategoryDataset0.setGroup(datasetGroup5);
    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D8 = new org.jfree.data.DefaultKeyedValues2D(false);
    int i10 = defaultKeyedValues2D8.getColumnIndex((java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    int i12 = defaultKeyedValues2D8.getRowIndex((java.lang.Comparable)"NOID");
    boolean b13 = datasetGroup5.equals((java.lang.Object)defaultKeyedValues2D8);
    java.lang.Object obj14 = defaultKeyedValues2D8.clone();
    java.util.List list15 = defaultKeyedValues2D8.getRowKeys();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number18 = defaultKeyedValues2D8.getValue((java.lang.Comparable)' ', (java.lang.Comparable)'a');
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list15);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test457"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)(short)(-1), (java.lang.Comparable)(short)10, (java.lang.Comparable)(-1.0d));
    int i9 = defaultKeyedValues2D1.getColumnCount();
    org.jfree.data.DefaultKeyedValues defaultKeyedValues10 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup12 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str13 = datasetGroup12.getID();
    boolean b14 = defaultKeyedValues10.equals((java.lang.Object)str13);
    int i16 = defaultKeyedValues10.getIndex((java.lang.Comparable)10);
    defaultKeyedValues10.setValue((java.lang.Comparable)1, (java.lang.Number)1L);
    int i21 = defaultKeyedValues10.getIndex((java.lang.Comparable)true);
    boolean b22 = defaultKeyedValues2D1.equals((java.lang.Object)defaultKeyedValues10);
    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D24 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i26 = defaultKeyedValues2D24.getColumnIndex((java.lang.Comparable)0);
    java.util.List list27 = defaultKeyedValues2D24.getRowKeys();
    defaultKeyedValues2D24.setValue((java.lang.Number)(short)(-1), (java.lang.Comparable)(short)10, (java.lang.Comparable)(-1.0d));
    int i32 = defaultKeyedValues2D24.getRowCount();
    boolean b33 = defaultKeyedValues2D1.equals((java.lang.Object)i32);
    java.lang.Object obj34 = defaultKeyedValues2D1.clone();
    java.lang.Comparable comparable35 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.removeColumn(comparable35);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str13.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj34);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test458"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    int i9 = defaultCategoryDataset2.getRowIndex((java.lang.Comparable)'#');
    java.lang.Object obj10 = defaultCategoryDataset2.clone();
    java.lang.Comparable comparable12 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.addValue(10.0d, comparable12, (java.lang.Comparable)(short)1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj10);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test459"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    defaultCategoryDataset2.removeValue((java.lang.Comparable)1, (java.lang.Comparable)(byte)100);
    java.lang.Object obj11 = defaultCategoryDataset2.clone();
    defaultCategoryDataset2.addValue((java.lang.Number)(short)100, (java.lang.Comparable)'a', (java.lang.Comparable)"");
    int i16 = defaultCategoryDataset2.getRowCount();
    java.util.List list17 = defaultCategoryDataset2.getRowKeys();
    defaultCategoryDataset2.clear();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable20 = defaultCategoryDataset2.getRowKey(3);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list17);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test460"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("");
    java.lang.Throwable[] throwable_array2 = unknownKeyException1.getSuppressed();
    org.jfree.data.UnknownKeyException unknownKeyException4 = new org.jfree.data.UnknownKeyException("hi!");
    unknownKeyException1.addSuppressed((java.lang.Throwable)unknownKeyException4);
    java.lang.String str6 = unknownKeyException1.toString();
    java.lang.Throwable[] throwable_array7 = unknownKeyException1.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.jfree.data.UnknownKeyException: "+ "'", str6.equals("org.jfree.data.UnknownKeyException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test461"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)(short)(-1), (java.lang.Comparable)(short)10, (java.lang.Comparable)(-1.0d));
    defaultKeyedValues2D1.removeRow(0);
    java.lang.Object obj11 = defaultKeyedValues2D1.clone();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number14 = defaultKeyedValues2D1.getValue((java.lang.Comparable)true, (java.lang.Comparable)0L);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test462"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D0 = new org.jfree.data.DefaultKeyedValues2D();
    defaultKeyedValues2D0.clear();
    int i3 = defaultKeyedValues2D0.getRowIndex((java.lang.Comparable)100L);
    java.lang.Comparable comparable5 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D0.removeValue((java.lang.Comparable)true, comparable5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test463"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    defaultKeyedValues2D1.clear();
    int i7 = defaultKeyedValues2D1.getRowIndex((java.lang.Comparable)"org.jfree.data.UnknownKeyException: hi!");
    java.lang.Object obj8 = defaultKeyedValues2D1.clone();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable10 = defaultKeyedValues2D1.getRowKey(3);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj8);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test464"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    org.jfree.data.DefaultKeyedValues defaultKeyedValues4 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup6 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str7 = datasetGroup6.getID();
    boolean b8 = defaultKeyedValues4.equals((java.lang.Object)str7);
    defaultKeyedValues4.setValue((java.lang.Comparable)10, (java.lang.Number)(short)100);
    defaultKeyedValues4.setValue((java.lang.Comparable)(-1.0d), (java.lang.Number)10.0d);
    java.util.List list15 = defaultKeyedValues4.getKeys();
    boolean b16 = defaultKeyedValues2D1.equals((java.lang.Object)defaultKeyedValues4);
    int i18 = defaultKeyedValues4.getIndex((java.lang.Comparable)'a');
    int i19 = defaultKeyedValues4.getItemCount();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues4.insertValue(100, (java.lang.Comparable)' ', (java.lang.Number)100.0f);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str7.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 2);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test465"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    int i6 = defaultKeyedValues0.getIndex((java.lang.Comparable)10);
    int i7 = defaultKeyedValues0.getItemCount();
    java.util.List list8 = defaultKeyedValues0.getKeys();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.removeValue(3);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list8);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test466"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    org.jfree.data.DefaultKeyedValues defaultKeyedValues4 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup6 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str7 = datasetGroup6.getID();
    boolean b8 = defaultKeyedValues4.equals((java.lang.Object)str7);
    defaultKeyedValues4.setValue((java.lang.Comparable)10, (java.lang.Number)(short)100);
    defaultKeyedValues4.setValue((java.lang.Comparable)(-1.0d), (java.lang.Number)10.0d);
    java.util.List list15 = defaultKeyedValues4.getKeys();
    boolean b16 = defaultKeyedValues2D1.equals((java.lang.Object)defaultKeyedValues4);
    int i18 = defaultKeyedValues4.getIndex((java.lang.Comparable)'a');
    int i19 = defaultKeyedValues4.getItemCount();
    int i21 = defaultKeyedValues4.getIndex((java.lang.Comparable)1L);
    defaultKeyedValues4.setValue((java.lang.Comparable)(byte)10, (java.lang.Number)1.0d);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number26 = defaultKeyedValues4.getValue(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str7.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == (-1));

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test467"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    int i4 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)10);
    defaultCategoryDataset0.removeValue((java.lang.Comparable)1.0f, (java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    defaultCategoryDataset0.clear();
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset9 = new org.jfree.data.category.DefaultCategoryDataset();
    int i10 = defaultCategoryDataset9.getRowCount();
    defaultCategoryDataset9.validateObject();
    int i13 = defaultCategoryDataset9.getColumnIndex((java.lang.Comparable)(short)1);
    defaultCategoryDataset9.clear();
    boolean b15 = defaultCategoryDataset0.equals((java.lang.Object)defaultCategoryDataset9);
    java.lang.Comparable comparable17 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeValue((java.lang.Comparable)(short)1, comparable17);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test468"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    org.jfree.data.UnknownKeyException unknownKeyException6 = new org.jfree.data.UnknownKeyException("hi!");
    java.lang.Throwable[] throwable_array7 = unknownKeyException6.getSuppressed();
    unknownKeyException1.addSuppressed((java.lang.Throwable)unknownKeyException6);
    java.lang.Throwable[] throwable_array9 = unknownKeyException1.getSuppressed();
    org.jfree.data.UnknownKeyException unknownKeyException11 = new org.jfree.data.UnknownKeyException("");
    java.lang.Throwable[] throwable_array12 = unknownKeyException11.getSuppressed();
    org.jfree.data.UnknownKeyException unknownKeyException14 = new org.jfree.data.UnknownKeyException("hi!");
    unknownKeyException11.addSuppressed((java.lang.Throwable)unknownKeyException14);
    java.lang.String str16 = unknownKeyException11.toString();
    unknownKeyException1.addSuppressed((java.lang.Throwable)unknownKeyException11);
    java.lang.String str18 = unknownKeyException11.toString();
    java.lang.Throwable throwable19 = null;
    // The following exception was thrown during execution in test generation
    try {
      unknownKeyException11.addSuppressed(throwable19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.jfree.data.UnknownKeyException: "+ "'", str16.equals("org.jfree.data.UnknownKeyException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.jfree.data.UnknownKeyException: "+ "'", str18.equals("org.jfree.data.UnknownKeyException: "));

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test469"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    defaultCategoryDataset2.removeValue((java.lang.Comparable)1, (java.lang.Comparable)(byte)100);
    java.lang.Object obj11 = defaultCategoryDataset2.clone();
    defaultCategoryDataset2.addValue((java.lang.Number)(short)100, (java.lang.Comparable)'a', (java.lang.Comparable)"");
    defaultCategoryDataset2.clear();
    defaultCategoryDataset2.clear();
    java.util.List list18 = defaultCategoryDataset2.getRowKeys();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number21 = defaultCategoryDataset2.getValue((java.lang.Comparable)100, (java.lang.Comparable)10.0f);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list18);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test470"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    java.util.List list8 = defaultCategoryDataset2.getRowKeys();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.incrementValue((-1.0d), (java.lang.Comparable)1L, (java.lang.Comparable)10L);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list8);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test471"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    java.util.List list8 = defaultCategoryDataset2.getRowKeys();
    int i10 = defaultCategoryDataset2.getRowIndex((java.lang.Comparable)(short)10);
    java.lang.Object obj11 = defaultCategoryDataset2.clone();
    int i12 = defaultCategoryDataset2.getRowCount();
    defaultCategoryDataset2.setValue(10.0d, (java.lang.Comparable)"org.jfree.data.UnknownKeyException: hi!", (java.lang.Comparable)3);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.removeRow((java.lang.Comparable)(short)10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test472"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    defaultKeyedValues0.setValue((java.lang.Comparable)10, (java.lang.Number)(short)100);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)0, 0.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)"org.jfree.data.UnknownKeyException: hi!", 100.0d);
    int i15 = defaultKeyedValues0.getIndex((java.lang.Comparable)100);
    org.jfree.chart.util.SortOrder sortOrder16 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.sortByKeys(sortOrder16);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == (-1));

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test473"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    defaultCategoryDataset0.addValue(100.0d, (java.lang.Comparable)false, (java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    int i8 = defaultCategoryDataset0.getColumnCount();
    defaultCategoryDataset0.validateObject();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.incrementValue((-1.0d), (java.lang.Comparable)2, (java.lang.Comparable)"org.jfree.data.UnknownKeyException: ");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test474"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    int i4 = defaultCategoryDataset0.getColumnIndex((java.lang.Comparable)(short)1);
    int i6 = defaultCategoryDataset0.getColumnIndex((java.lang.Comparable)(short)100);
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset7 = new org.jfree.data.category.DefaultCategoryDataset();
    int i8 = defaultCategoryDataset7.getRowCount();
    defaultCategoryDataset7.validateObject();
    int i10 = defaultCategoryDataset7.getColumnCount();
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset11 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup12 = defaultCategoryDataset11.getGroup();
    defaultCategoryDataset7.setGroup(datasetGroup12);
    java.lang.Object obj14 = datasetGroup12.clone();
    boolean b15 = defaultCategoryDataset0.equals((java.lang.Object)datasetGroup12);
    defaultCategoryDataset0.removeValue((java.lang.Comparable)"org.jfree.data.UnknownKeyException: ", (java.lang.Comparable)"org.jfree.data.general.DatasetChangeEvent[source=100.0]");
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.incrementValue(0.0d, (java.lang.Comparable)2, (java.lang.Comparable)"hi!");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test475"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 0.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)10, (java.lang.Number)100);
    defaultKeyedValues0.addValue((java.lang.Comparable)"", (java.lang.Number)10);
    defaultKeyedValues0.insertValue(2, (java.lang.Comparable)(short)0, (java.lang.Number)(short)(-1));
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.removeValue((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test476"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 0.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)10, (java.lang.Number)100);
    defaultKeyedValues0.addValue((java.lang.Comparable)"", (java.lang.Number)10);
    defaultKeyedValues0.addValue((java.lang.Comparable)(short)(-1), (java.lang.Number)100L);
    java.lang.Object obj13 = defaultKeyedValues0.clone();
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.removeValue(3);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj13);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test477"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    int i8 = defaultCategoryDataset2.getColumnCount();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.removeColumn(1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test478"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    java.util.List list8 = defaultCategoryDataset2.getRowKeys();
    int i10 = defaultCategoryDataset2.getRowIndex((java.lang.Comparable)(short)10);
    java.lang.Object obj11 = defaultCategoryDataset2.clone();
    java.lang.Comparable comparable13 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.incrementValue(100.0d, comparable13, (java.lang.Comparable)(-1L));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test479"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    defaultKeyedValues2D1.setValue((java.lang.Number)(short)(-1), (java.lang.Comparable)(short)10, (java.lang.Comparable)(-1.0d));
    java.lang.Comparable comparable10 = defaultKeyedValues2D1.getColumnKey(0);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number13 = defaultKeyedValues2D1.getValue(10, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable10 + "' != '" + (-1.0d)+ "'", comparable10.equals((-1.0d)));

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test480"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener2 = null;
    defaultCategoryDataset0.addChangeListener(datasetChangeListener2);
    org.jfree.data.general.DatasetGroup datasetGroup4 = defaultCategoryDataset0.getGroup();
    java.util.EventListener eventListener5 = null;
    boolean b6 = defaultCategoryDataset0.hasListener(eventListener5);
    java.util.List list7 = defaultCategoryDataset0.getRowKeys();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeColumn(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list7);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test481"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj5 = defaultKeyedValues2D1.clone();
    java.util.List list6 = defaultKeyedValues2D1.getRowKeys();
    java.util.List list7 = defaultKeyedValues2D1.getRowKeys();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable9 = defaultKeyedValues2D1.getColumnKey(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list7);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test482"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)'4', (java.lang.Comparable)1.0f);
    int i6 = defaultKeyedValues2D1.getRowIndex((java.lang.Comparable)'#');
    defaultKeyedValues2D1.addValue((java.lang.Number)100.0f, (java.lang.Comparable)(short)10, (java.lang.Comparable)(byte)10);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D1.setValue((java.lang.Number)1L, (java.lang.Comparable)(byte)100, (java.lang.Comparable)100L);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test483"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    defaultKeyedValues0.setValue((java.lang.Comparable)10, (java.lang.Number)(short)100);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)0, 0.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)"org.jfree.data.UnknownKeyException: hi!", 100.0d);
    int i15 = defaultKeyedValues0.getIndex((java.lang.Comparable)100);
    org.jfree.chart.util.SortOrder sortOrder16 = null;
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.sortByValues(sortOrder16);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == (-1));

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test484"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    defaultCategoryDataset0.validateObject();
    int i3 = defaultCategoryDataset0.getColumnCount();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener4 = null;
    defaultCategoryDataset0.addChangeListener(datasetChangeListener4);
    org.jfree.data.general.DatasetChangeListener datasetChangeListener6 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener6);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeRow(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test485"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    defaultCategoryDataset2.removeValue((java.lang.Comparable)1, (java.lang.Comparable)(byte)100);
    java.lang.Object obj11 = defaultCategoryDataset2.clone();
    defaultCategoryDataset2.addValue((java.lang.Number)(short)100, (java.lang.Comparable)'a', (java.lang.Comparable)"");
    defaultCategoryDataset2.clear();
    boolean b18 = defaultCategoryDataset2.equals((java.lang.Object)(-1.0f));
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.removeRow(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test486"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    defaultCategoryDataset2.removeValue((java.lang.Comparable)1, (java.lang.Comparable)(byte)100);
    java.lang.Object obj11 = defaultCategoryDataset2.clone();
    defaultCategoryDataset2.addValue((java.lang.Number)(short)100, (java.lang.Comparable)'a', (java.lang.Comparable)"");
    defaultCategoryDataset2.clear();
    defaultCategoryDataset2.clear();
    java.util.List list18 = defaultCategoryDataset2.getRowKeys();
    int i19 = defaultCategoryDataset2.getRowCount();
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.removeColumn(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test487"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)'4', (java.lang.Comparable)1.0f);
    int i5 = defaultKeyedValues2D1.getRowCount();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number8 = defaultKeyedValues2D1.getValue((java.lang.Comparable)1L, (java.lang.Comparable)"");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test488"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)0.0f, (java.lang.Number)(-1L));
    defaultKeyedValues0.addValue((java.lang.Comparable)(short)1, (-1.0d));
    defaultKeyedValues0.removeValue(0);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.insertValue(100, (java.lang.Comparable)3, (java.lang.Number)1.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test489"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup2 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str3 = datasetGroup2.getID();
    boolean b4 = defaultKeyedValues0.equals((java.lang.Object)str3);
    defaultKeyedValues0.setValue((java.lang.Comparable)10, (java.lang.Number)(short)100);
    defaultKeyedValues0.addValue((java.lang.Comparable)1.0d, 100.0d);
    int i12 = defaultKeyedValues0.getIndex((java.lang.Comparable)'4');
    java.lang.Number number14 = defaultKeyedValues0.getValue(0);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues0.insertValue((-1), (java.lang.Comparable)(short)(-1), 10.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str3.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + (short)100+ "'", number14.equals((short)100));

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test490"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener2 = null;
    defaultCategoryDataset0.addChangeListener(datasetChangeListener2);
    org.jfree.data.general.DatasetGroup datasetGroup5 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str6 = datasetGroup5.getID();
    defaultCategoryDataset0.setGroup(datasetGroup5);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number10 = defaultCategoryDataset0.getValue((java.lang.Comparable)"org.jfree.data.UnknownKeyException: org.jfree.data.UnknownKeyException: ", (java.lang.Comparable)(-1));
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str6.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test491"); }


    org.jfree.data.UnknownKeyException unknownKeyException1 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset2 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup3 = defaultCategoryDataset2.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent4 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException1, (org.jfree.data.general.Dataset)defaultCategoryDataset2);
    defaultCategoryDataset2.validateObject();
    int i7 = defaultCategoryDataset2.getColumnIndex((java.lang.Comparable)10.0f);
    java.util.List list8 = defaultCategoryDataset2.getRowKeys();
    int i10 = defaultCategoryDataset2.getRowIndex((java.lang.Comparable)(short)10);
    java.lang.Object obj11 = defaultCategoryDataset2.clone();
    defaultCategoryDataset2.addValue(0.0d, (java.lang.Comparable)(byte)100, (java.lang.Comparable)1);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset2.removeRow((java.lang.Comparable)100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test492"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    org.jfree.data.general.Dataset dataset2 = null;
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent3 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)datasetGroup1, dataset2);
    org.jfree.data.general.Dataset dataset4 = datasetChangeEvent3.getDataset();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dataset4);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test493"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup1 = defaultCategoryDataset0.getGroup();
    int i3 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)'#');
    int i5 = defaultCategoryDataset0.getRowIndex((java.lang.Comparable)' ');
    org.jfree.data.general.DatasetChangeListener datasetChangeListener6 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener6);
    defaultCategoryDataset0.clear();
    int i9 = defaultCategoryDataset0.getRowCount();
    int i10 = defaultCategoryDataset0.getColumnCount();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener11 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener11);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeRow((java.lang.Comparable)0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test494"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    org.jfree.data.UnknownKeyException unknownKeyException3 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset4 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup5 = defaultCategoryDataset4.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent6 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException3, (org.jfree.data.general.Dataset)defaultCategoryDataset4);
    boolean b7 = defaultCategoryDataset0.equals((java.lang.Object)defaultCategoryDataset4);
    java.util.List list8 = defaultCategoryDataset0.getColumnKeys();
    org.jfree.data.general.DatasetChangeListener datasetChangeListener9 = null;
    defaultCategoryDataset0.removeChangeListener(datasetChangeListener9);
    java.lang.Object obj11 = defaultCategoryDataset0.clone();
    java.util.EventListener eventListener12 = null;
    boolean b13 = defaultCategoryDataset0.hasListener(eventListener12);
    // The following exception was thrown during execution in test generation
    try {
      defaultCategoryDataset0.removeRow((java.lang.Comparable)(-1.0d));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test495"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D1.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    defaultKeyedValues2D1.clear();
    defaultKeyedValues2D1.addValue((java.lang.Number)100.0f, (java.lang.Comparable)(byte)1, (java.lang.Comparable)' ');
    java.lang.Object obj10 = defaultKeyedValues2D1.clone();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Comparable comparable12 = defaultKeyedValues2D1.getColumnKey(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj10);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test496"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 0.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)10, (java.lang.Number)100);
    defaultKeyedValues0.addValue((java.lang.Comparable)"", (java.lang.Number)10);
    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D11 = new org.jfree.data.DefaultKeyedValues2D(true);
    defaultKeyedValues2D11.removeValue((java.lang.Comparable)100, (java.lang.Comparable)(byte)0);
    java.lang.Object obj15 = defaultKeyedValues2D11.clone();
    java.util.List list16 = defaultKeyedValues2D11.getRowKeys();
    java.lang.Object obj17 = defaultKeyedValues2D11.clone();
    boolean b18 = defaultKeyedValues0.equals((java.lang.Object)defaultKeyedValues2D11);
    defaultKeyedValues2D11.removeValue((java.lang.Comparable)1, (java.lang.Comparable)(short)100);
    // The following exception was thrown during execution in test generation
    try {
      defaultKeyedValues2D11.removeRow((java.lang.Comparable)1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test497"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)0);
    org.jfree.data.DefaultKeyedValues defaultKeyedValues4 = new org.jfree.data.DefaultKeyedValues();
    org.jfree.data.general.DatasetGroup datasetGroup6 = new org.jfree.data.general.DatasetGroup("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]");
    java.lang.String str7 = datasetGroup6.getID();
    boolean b8 = defaultKeyedValues4.equals((java.lang.Object)str7);
    defaultKeyedValues4.setValue((java.lang.Comparable)10, (java.lang.Number)(short)100);
    defaultKeyedValues4.setValue((java.lang.Comparable)(-1.0d), (java.lang.Number)10.0d);
    java.util.List list15 = defaultKeyedValues4.getKeys();
    boolean b16 = defaultKeyedValues2D1.equals((java.lang.Object)defaultKeyedValues4);
    defaultKeyedValues4.insertValue(1, (java.lang.Comparable)(byte)0, 10.0d);
    int i21 = defaultKeyedValues4.getItemCount();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number23 = defaultKeyedValues4.getValue(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"+ "'", str7.equals("org.jfree.data.general.DatasetChangeEvent[source=org.jfree.data.UnknownKeyException: hi!]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 3);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test498"); }


    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset0 = new org.jfree.data.category.DefaultCategoryDataset();
    int i1 = defaultCategoryDataset0.getRowCount();
    org.jfree.data.UnknownKeyException unknownKeyException3 = new org.jfree.data.UnknownKeyException("hi!");
    org.jfree.data.category.DefaultCategoryDataset defaultCategoryDataset4 = new org.jfree.data.category.DefaultCategoryDataset();
    org.jfree.data.general.DatasetGroup datasetGroup5 = defaultCategoryDataset4.getGroup();
    org.jfree.data.general.DatasetChangeEvent datasetChangeEvent6 = new org.jfree.data.general.DatasetChangeEvent((java.lang.Object)unknownKeyException3, (org.jfree.data.general.Dataset)defaultCategoryDataset4);
    boolean b7 = defaultCategoryDataset0.equals((java.lang.Object)defaultCategoryDataset4);
    int i8 = defaultCategoryDataset4.getColumnCount();
    int i9 = defaultCategoryDataset4.getColumnCount();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number12 = defaultCategoryDataset4.getValue((java.lang.Comparable)'4', (java.lang.Comparable)100.0f);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(datasetGroup5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test499"); }


    org.jfree.data.DefaultKeyedValues defaultKeyedValues0 = new org.jfree.data.DefaultKeyedValues();
    defaultKeyedValues0.setValue((java.lang.Comparable)"", 0.0d);
    defaultKeyedValues0.addValue((java.lang.Comparable)(byte)10, (java.lang.Number)100);
    java.util.List list7 = defaultKeyedValues0.getKeys();
    java.lang.Comparable comparable9 = defaultKeyedValues0.getKey(0);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number11 = defaultKeyedValues0.getValue((java.lang.Comparable)'4');
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable9 + "' != '" + ""+ "'", comparable9.equals(""));

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test500"); }


    org.jfree.data.DefaultKeyedValues2D defaultKeyedValues2D1 = new org.jfree.data.DefaultKeyedValues2D(true);
    int i3 = defaultKeyedValues2D1.getColumnIndex((java.lang.Comparable)(short)0);
    java.util.List list4 = defaultKeyedValues2D1.getRowKeys();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number7 = defaultKeyedValues2D1.getValue((java.lang.Comparable)(byte)100, (java.lang.Comparable)true);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException");
    } catch (org.jfree.data.UnknownKeyException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.UnknownKeyException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.UnknownKeyException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);

  }

}
